/*****************************************************************************/

/*
 *      eppafsk_firmware.h  -- HDLC packet radio modem for EPP using FPGA utility.
 *
 *      Copyright (C) 1998  Thomas Sailer (sailer@ife.ee.ethz.ch)
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Please note that the GPL allows you to use the driver, NOT the radio.
 *  In order to use the radio, you need a license from the communications
 *  authority of your country.
 *
 */

/*****************************************************************************/
/* automatically generated, do not edit */

#define EPPAFSK_FIRMWAREDATE "19990628"

/* firmware */
static const unsigned char eppafsk_firmware[] = {
	0xff, 0x04, 0xe8, 0x8c, 0xf9, 0xde, 0xff, 0xff, 
	0xfd, 0xfd, 0xd7, 0xdf, 0xff, 0xb5, 0xfd, 0xff, 
	0xff, 0xda, 0xfe, 0xaf, 0xed, 0xff, 0xde, 0xfe, 
	0xff, 0x9b, 0xff, 0xff, 0xaf, 0xff, 0xfb, 0xfb, 
	0xff, 0xaf, 0xed, 0xff, 0xfe, 0xd7, 0xf6, 0x7f, 
	0x6d, 0xff, 0xd7, 0xf7, 0x7f, 0xff, 0xe6, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 
	0xff, 0xff, 0xff, 0xfb, 0xff, 0xbf, 0xff, 0xff, 
	0xfb, 0xff, 0xbf, 0xb9, 0xff, 0xf8, 0xed, 0x9f, 
	0xff, 0xfe, 0xf8, 0xed, 0x8f, 0x77, 0xfc, 0xf6, 
	0xc7, 0x6f, 0x7f, 0xfc, 0xf6, 0xc7, 0xef, 0x6f, 
	0xfe, 0xff, 0xd7, 0x5f, 0x7b, 0xfd, 0xf5, 0xd7, 
	0x5f, 0x7f, 0xf5, 0xeb, 0xaf, 0xbf, 0xfe, 0xfa, 
	0xeb, 0xaf, 0xbf, 0xfe, 0x9b, 0xff, 0x7f, 0xfd, 
	0xf5, 0xd7, 0x5f, 0x7f, 0xfd, 0xf5, 0xd7, 0xbf, 
	0xfe, 0xfa, 0xeb, 0xaf, 0xbf, 0xfe, 0xfa, 0xeb, 
	0xff, 0xc6, 0xff, 0x3f, 0xff, 0xfc, 0xf3, 0xcf, 
	0x3f, 0xff, 0xfc, 0xf3, 0x9f, 0x7f, 0xfe, 0xf9, 
	0xe7, 0x9f, 0x7f, 0xfe, 0xf9, 0xbf, 0xf9, 0xff, 
	0xef, 0xbf, 0xff, 0xfe, 0xfb, 0xef, 0xbf, 0xff, 
	0xfe, 0xf7, 0xdf, 0x7f, 0xff, 0xfd, 0xf7, 0xdf, 
	0x7f, 0xff, 0x6f, 0xfe, 0xff, 0xfb, 0xaf, 0xbf, 
	0xfe, 0xfa, 0xfb, 0xef, 0xbf, 0xfb, 0xdd, 0xf7, 
	0xdf, 0x7d, 0xff, 0xfd, 0xf7, 0xdf, 0x7f, 0x9b, 
	0xff, 0xff, 0xfe, 0xfb, 0xef, 0xbf, 0xff, 0xfe, 
	0xfb, 0xef, 0x7f, 0xff, 0xfd, 0xf7, 0xdf, 0x7f, 
	0xff, 0xfd, 0xf7, 0xff, 0xc6, 0xff, 0xdf, 0x7f, 
	0xff, 0xfd, 0xf7, 0xdf, 0x7f, 0xff, 0xbd, 0xef, 
	0xbd, 0xef, 0xfe, 0xfb, 0xef, 0xbf, 0xff, 0xfe, 
	0xbf, 0xf9, 0xff, 0xdf, 0x7f, 0xff, 0xdd, 0xf7, 
	0xdf, 0x7f, 0xff, 0xfd, 0xef, 0xbf, 0xff, 0xf6, 
	0xfb, 0xef, 0xbf, 0xff, 0xfe, 0x6f, 0xf4, 0xfb, 
	0xed, 0xb7, 0xdf, 0x5e, 0x3b, 0xed, 0xb7, 0xdf, 
	0xfe, 0xf6, 0xdb, 0x6e, 0xbf, 0xfd, 0xf6, 0xdb, 
	0x6f, 0xff, 0x9b, 0xff, 0x7f, 0xff, 0xfd, 0xf7, 
	0xdf, 0x7f, 0xff, 0xfd, 0xe7, 0x3f, 0xff, 0xfe, 
	0xfb, 0xef, 0xbf, 0xff, 0xfe, 0xfb, 0xff, 0xe6, 
	0xff, 0xdf, 0x7f, 0xff, 0xfd, 0xf5, 0xd7, 0x77, 
	0xff, 0x7d, 0xef, 0xbf, 0xff, 0xfe, 0xfb, 0xef, 
	0xbf, 0xff, 0xfe, 0xbf, 0xf9, 0xff, 0xfc, 0xf3, 
	0xcf, 0xbe, 0xff, 0xee, 0xb3, 0xcf, 0x7f, 0xfe, 
	0xf9, 0xe6, 0x9d, 0x7f, 0xfe, 0xf9, 0xe6, 0xff, 
	0x6f, 0xfe, 0xff, 0x7d, 0xf7, 0xdf, 0x77, 0xff, 
	0xfd, 0xf7, 0xdf, 0xff, 0xfe, 0xfb, 0xef, 0xbf, 
	0xfe, 0xfe, 0xfb, 0xef, 0xff, 0x9b, 0xdd, 0xcf, 
	0x3e, 0xff, 0xfc, 0xf3, 0xcf, 0x3f, 0xf7, 0xfc, 
	0xe7, 0x9f, 0x7f, 0xf6, 0xf9, 0xe7, 0x9f, 0x7f, 
	0xfe, 0xdd, 0x66, 0xff, 0xef, 0xbf, 0xff, 0xfe, 
	0xfb, 0xef, 0xbf, 0xff, 0xfe, 0xf7, 0xdf, 0x7f, 
	0xff, 0xfd, 0xf7, 0xdf, 0x7f, 0xff, 0xb7, 0xf9, 
	0xf7, 0xfe, 0xfb, 0xe7, 0xbf, 0xff, 0xfe, 0xfb, 
	0xef, 0x7f, 0xff, 0xfd, 0xf7, 0xdf, 0x7f, 0xff, 
	0xfd, 0xf7, 0xff, 0x6f, 0xfe, 0xbf, 0xfd, 0xf6, 
	0xdb, 0x6f, 0xbf, 0xfd, 0xf7, 0xdb, 0xd7, 0x3e, 
	0xfb, 0xec, 0xb7, 0xdf, 0x7a, 0xfb, 0xad, 0xfb, 
	0x9b, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x3f, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xdf, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xe6, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xbf, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xff, 0xff, 
	0xff, 0xbf, 0xf9, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xfd, 0xf7, 0xff, 0xff, 0xbf, 0xff, 
	0xef, 0xfb, 0xff, 0xff, 0xff, 0xfb, 0x6f, 0x7e, 
	0xff, 0xff, 0xff, 0xfd, 0xff, 0xff, 0xff, 0xfd, 
	0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x7f, 0x9b, 0xff, 0x7f, 0xff, 0xfd, 
	0xf7, 0xdf, 0x77, 0xff, 0xfd, 0xf7, 0xbf, 0xff, 
	0xfe, 0xfb, 0xef, 0xbf, 0xef, 0xfe, 0xfb, 0xff, 
	0xe6, 0xff, 0xff, 0xff, 0xef, 0xbf, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xfe, 0x7f, 0xf7, 0xcd, 0xef, 
	0xff, 0xff, 0xff, 0xff, 0xbf, 0xf9, 0xff, 0xff, 
	0x9f, 0xff, 0xfe, 0xff, 0xff, 0xfe, 0xfe, 0xaf, 
	0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0x6e, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xf5, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0x9b, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xbf, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xbf, 0xff, 0xff, 
	0xff, 0xff, 0xf7, 0xe6, 0xff, 0xff, 0xf9, 0xff, 
	0xef, 0xff, 0xff, 0xfb, 0xdd, 0x6f, 0xff, 0xfd, 
	0xfb, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xbf, 
	0xf9, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xf7, 
	0xdf, 0xff, 0xff, 0xff, 0xfe, 0xfd, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xfd, 0x6f, 0xfe, 0xff, 0x7f, 
	0xff, 0x7f, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0x9b, 0xff, 0xbf, 0xff, 0xff, 0xf9, 0xef, 
	0x9f, 0xff, 0xde, 0x5f, 0xff, 0xfe, 0xff, 0xff, 
	0xbf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe6, 0xff, 
	0x6b, 0xff, 0xff, 0xf5, 0xf4, 0xdf, 0x4f, 0xbf, 
	0xef, 0xfe, 0x7f, 0xfb, 0xff, 0xff, 0xff, 0xfb, 
	0xff, 0xff, 0xbf, 0xf9, 0xfb, 0xf7, 0xff, 0xfb, 
	0xff, 0xfe, 0xff, 0xef, 0xbf, 0xbe, 0xf7, 0xff, 
	0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x6f, 
	0xfe, 0xfd, 0xfd, 0xf7, 0xff, 0x8f, 0xef, 0xff, 
	0xff, 0xe3, 0xff, 0xff, 0xd7, 0xff, 0x7f, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0x9b, 0xff, 0xfd, 0xff, 
	0xff, 0xff, 0xdf, 0xff, 0xff, 0xff, 0xfb, 0xff, 
	0xff, 0xff, 0xff, 0xdf, 0xff, 0xff, 0xff, 0xef, 
	0xff, 0xe6, 0xff, 0x2f, 0xff, 0xff, 0xfe, 0xfa, 
	0xeb, 0xaf, 0xfb, 0xcd, 0x6f, 0xfc, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xbf, 0xf9, 0xef, 
	0xfa, 0xff, 0xaf, 0xf7, 0xfe, 0xfb, 0xef, 0xf7, 
	0x5f, 0xed, 0xb5, 0xd5, 0x5d, 0x7b, 0xfd, 0xff, 
	0xff, 0xff, 0x6f, 0xfe, 0xbf, 0x6f, 0xff, 0xfb, 
	0xbf, 0x7b, 0xff, 0xfb, 0xff, 0xfe, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x9b, 
	0xfe, 0xef, 0xff, 0xff, 0xfb, 0xfb, 0xbf, 0xbf, 
	0xff, 0xee, 0x5f, 0x7e, 0xf9, 0xa5, 0xdc, 0xdf, 
	0xfe, 0xff, 0xff, 0xbf, 0x66, 0xff, 0xfb, 0xff, 
	0xbf, 0xff, 0xfe, 0x7b, 0xef, 0xbd, 0xfb, 0xdd, 
	0x77, 0xdf, 0x65, 0xff, 0xfd, 0xff, 0xff, 0xff, 
	0xb7, 0xf9, 0xff, 0xde, 0xff, 0xbf, 0xbd, 0xf7, 
	0xfb, 0xfb, 0xf9, 0x77, 0xbf, 0xfd, 0xf6, 0x7b, 
	0x6d, 0xff, 0xff, 0xff, 0xff, 0x6f, 0xd4, 0xbf, 
	0xff, 0xff, 0xfb, 0xe9, 0xbf, 0xff, 0x3e, 0xfb, 
	0x75, 0xaf, 0xbd, 0xf6, 0xda, 0x6b, 0xff, 0xff, 
	0xff, 0x5f, 0x99, 0xfb, 0xbf, 0xdb, 0xff, 0xfe, 
	0xff, 0xef, 0xff, 0xfe, 0xf2, 0xdf, 0x6c, 0xb3, 
	0xcd, 0xbc, 0xdf, 0xec, 0xff, 0xff, 0xef, 0x66, 
	0xfe, 0xbf, 0xf5, 0xff, 0xfb, 0xef, 0xbf, 0xff, 
	0x96, 0x6c, 0xbd, 0xf7, 0xde, 0x2b, 0xef, 0xbd, 
	0xff, 0xff, 0xff, 0xb3, 0xb1, 0xff, 0xfb, 0xff, 
	0xef, 0xff, 0xfe, 0xfe, 0xef, 0xbf, 0x7d, 0xef, 
	0xfd, 0xf7, 0x7e, 0x7b, 0xbf, 0xfe, 0xff, 0xff, 
	0x66, 0xec, 0xff, 0xff, 0xff, 0xff, 0xbf, 0xff, 
	0xff, 0xff, 0x7b, 0x7f, 0xfb, 0xed, 0xb7, 0xdf, 
	0x7e, 0xe3, 0xff, 0xff, 0xbf, 0x99, 0xf7, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x6f, 0xb7, 
	0xf3, 0xdd, 0x77, 0xff, 0x7f, 0xf7, 0xff, 0xff, 
	0xff, 0xf7, 0xe6, 0xfd, 0xff, 0xfd, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xf7, 0xcc, 0x7f, 0xfe, 0xf9, 
	0xff, 0x9f, 0xff, 0xff, 0xff, 0xff, 0xbd, 0xb1, 
	0xff, 0xbb, 0xef, 0xbf, 0xff, 0xfe, 0xfb, 0xef, 
	0x3e, 0x7d, 0xfd, 0xf5, 0xd7, 0x5f, 0x7f, 0xfd, 
	0xf7, 0xdf, 0xff, 0x66, 0xe6, 0xff, 0xff, 0xff, 
	0xfd, 0xf7, 0xdf, 0x7f, 0xff, 0xff, 0xdf, 0x7f, 
	0xff, 0xfd, 0xf7, 0xdf, 0xff, 0xff, 0xff, 0x3f, 
	0x9b, 0xfb, 0xff, 0xff, 0xef, 0xbf, 0xff, 0xfe, 
	0xfb, 0xff, 0xff, 0xb7, 0xdf, 0x7e, 0xff, 0xed, 
	0xf7, 0xff, 0xff, 0xff, 0xef, 0xe6, 0xfe, 0xfb, 
	0xaf, 0xff, 0xff, 0xff, 0xfd, 0xf7, 0xf7, 0xd1, 
	0xbf, 0xfe, 0xfe, 0xfb, 0xef, 0xbf, 0xff, 0xff, 
	0xff, 0xbb, 0x79, 0xff, 0xf6, 0xcb, 0x27, 0xbf, 
	0xfc, 0xf2, 0xcb, 0xfd, 0xf6, 0xb7, 0xdf, 0x7e, 
	0xff, 0xfd, 0xf7, 0xff, 0xff, 0x7f, 0x6f, 0xfe, 
	0xbf, 0xff, 0xfa, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xcb, 0x5c, 0x67, 0x9d, 0x7f, 0xd7, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0x9b, 0xff, 0xef, 0x8f, 0x3e, 
	0xfa, 0xe8, 0xa3, 0x8b, 0x3f, 0xfa, 0xd4, 0x47, 
	0x9f, 0x5f, 0x74, 0xfc, 0xf1, 0x9f, 0x7f, 0xfe, 
	0xe6, 0xff, 0xef, 0xaf, 0xff, 0xff, 0xf7, 0xff, 
	0xff, 0xbf, 0xfe, 0xf5, 0xd7, 0x5f, 0x7f, 0x7d, 
	0xf5, 0xfd, 0xff, 0xff, 0xbf, 0xf9, 0xff, 0xfb, 
	0xeb, 0xef, 0xbf, 0xfd, 0xfe, 0xea, 0xaf, 0x7f, 
	0xfd, 0xf5, 0xd7, 0x57, 0x37, 0xdd, 0xfe, 0xff, 
	0xff, 0x6f, 0xfe, 0xff, 0xff, 0xfa, 0xff, 0xff, 
	0xff, 0xef, 0xff, 0xbf, 0xff, 0xfd, 0xf7, 0x55, 
	0x7f, 0x53, 0xcd, 0xff, 0xff, 0xff, 0x9b, 0xff, 
	0xff, 0xbf, 0xfe, 0xfe, 0xdb, 0xef, 0xbb, 0xff, 
	0xff, 0xfb, 0xff, 0x7f, 0xfd, 0x7f, 0xd7, 0xfd, 
	0xff, 0xff, 0xff, 0x66, 0xff, 0x9b, 0xff, 0xbe, 
	0xfc, 0xfe, 0xcb, 0xef, 0xbf, 0xff, 0xff, 0xff, 
	0xff, 0x7f, 0xfa, 0xff, 0xfe, 0xff, 0xff, 0xbf, 
	0xf9, 0xff, 0xad, 0xbf, 0xde, 0xba, 0xab, 0xad, 
	0xbb, 0xe6, 0xda, 0xd7, 0x5e, 0x7d, 0xbd, 0xe5, 
	0xd7, 0x5f, 0x7f, 0xfd, 0x6f, 0xfe, 0xbe, 0xef, 
	0xff, 0xff, 0xfe, 0xfb, 0xff, 0xdf, 0x1f, 0xff, 
	0xf8, 0xf1, 0xe7, 0x7f, 0xfd, 0xbd, 0xff, 0xff, 
	0xff, 0x1b, 0xff, 0xff, 0xff, 0xff, 0x7f, 0xbf, 
	0xff, 0xef, 0xbf, 0xfd, 0xef, 0xde, 0x3f, 0xfd, 
	0xbf, 0xfb, 0xff, 0xff, 0xff, 0x7f, 0xe6, 0xff, 
	0xff, 0xff, 0xef, 0x3f, 0xff, 0xfd, 0xf7, 0xfd, 
	0x7f, 0xdf, 0xdf, 0xff, 0xbf, 0xff, 0xfe, 0xff, 
	0xff, 0xff, 0x9f, 0xf9, 0xff, 0xfe, 0xfd, 0xef, 
	0xb5, 0xdf, 0x7e, 0xff, 0xb9, 0xfd, 0xf5, 0xf7, 
	0xdd, 0x7d, 0xff, 0xfd, 0xdf, 0xff, 0xff, 0x6f, 
	0xfc, 0xff, 0xf5, 0xff, 0xdf, 0xbf, 0xfd, 0xbd, 
	0xff, 0xbf, 0xdb, 0x3f, 0xff, 0xfd, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0x99, 0xff, 0xff, 0xff, 
	0xeb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x9f, 
	0xff, 0xfe, 0xff, 0x70, 0xf7, 0xfe, 0xff, 0xff, 
	0xff, 0xc6, 0xff, 0xfd, 0x7f, 0xff, 0xf7, 0xff, 
	0xff, 0xff, 0xbf, 0xfb, 0xf9, 0xff, 0xf7, 0x7f, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xbf, 0xf9, 0xff, 
	0xdf, 0xff, 0xff, 0xdf, 0xff, 0xff, 0xfd, 0xbf, 
	0x1b, 0x7f, 0x7f, 0xff, 0x7f, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x6f, 0xbe, 0x3f, 0xfb, 0x98, 0xff, 
	0xff, 0xff, 0xef, 0xbf, 0xff, 0xfb, 0xff, 0xff, 
	0xff, 0xf7, 0xbf, 0xff, 0xff, 0xff, 0xff, 0x99, 
	0xff, 0x6e, 0xff, 0xf9, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xfd, 0xff, 0xff, 0xfd, 0xef, 
	0xff, 0xff, 0xff, 0xff, 0xe6, 0xff, 0xcf, 0xaf, 
	0x9f, 0xdc, 0x72, 0xcf, 0x3d, 0xd7, 0x7f, 0xf7, 
	0xdf, 0x7f, 0xff, 0xdd, 0xf7, 0xff, 0xff, 0xff, 
	0xbf, 0xf9, 0xff, 0xd9, 0xef, 0xbf, 0xff, 0xfe, 
	0xfa, 0xeb, 0x7f, 0x77, 0xf8, 0xe3, 0x8f, 0x37, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x6f, 0xfe, 0xff, 
	0xfe, 0xfb, 0xf7, 0xbe, 0xbe, 0xff, 0xfe, 0xff, 
	0xff, 0xfd, 0xf6, 0xdb, 0xdf, 0xdf, 0xff, 0xff, 
	0xff, 0xef, 0x1b, 0xfe, 0xbf, 0xbf, 0xfa, 0xfa, 
	0xeb, 0xa5, 0xf2, 0x9a, 0xef, 0xd7, 0xdf, 0xf9, 
	0xa5, 0xde, 0x7a, 0x7e, 0xff, 0xff, 0x3f, 0x66, 
	0xff, 0xef, 0x7f, 0xff, 0xff, 0x3f, 0xff, 0xef, 
	0xd7, 0xf7, 0xfd, 0x77, 0xdf, 0xe5, 0x3b, 0xef, 
	0xff, 0xff, 0xff, 0xb7, 0xf9, 0xff, 0x7b, 0xff, 
	0xfd, 0xf7, 0xdf, 0x6f, 0xbb, 0xb5, 0x7e, 0xbd, 
	0xf7, 0xf6, 0xeb, 0xae, 0x3b, 0xf5, 0xff, 0xff, 
	0x6f, 0xd6, 0xff, 0x5e, 0x7a, 0xe9, 0xa5, 0x97, 
	0x5e, 0x3b, 0xef, 0x5d, 0xaf, 0xbd, 0x76, 0xbe, 
	0xf9, 0xef, 0xfd, 0xff, 0x5f, 0x9b, 0xfb, 0xbf, 
	0xbd, 0x66, 0x9a, 0x69, 0xa6, 0xd5, 0x56, 0xfe, 
	0x96, 0xdf, 0xfb, 0xcd, 0x3e, 0x7b, 0x64, 0xaf, 
	0xff, 0xef, 0x66, 0xfe, 0x6f, 0xff, 0xfd, 0x77, 
	0xdf, 0x7d, 0xef, 0xbd, 0xfb, 0xe5, 0xf2, 0xde, 
	0xfb, 0xcf, 0x3e, 0x7b, 0xef, 0xff, 0xb3, 0xb1, 
	0xff, 0xfb, 0xff, 0xff, 0xe7, 0x1f, 0xff, 0xfb, 
	0xbf, 0x7f, 0xf9, 0xb7, 0xf7, 0xbe, 0xe7, 0xbe, 
	0xf4, 0xfd, 0xff, 0x66, 0xee, 0xff, 0xfe, 0xda, 
	0x6b, 0xa8, 0xb1, 0xf6, 0xdb, 0x6f, 0x5f, 0xe7, 
	0xed, 0xb7, 0xff, 0xfa, 0xe3, 0xfd, 0xff, 0xbf, 
	0x9b, 0xf7, 0xff, 0x9b, 0xef, 0xbe, 0xfb, 0xee, 
	0xbb, 0xef, 0xbf, 0xfb, 0xff, 0x77, 0xff, 0x77, 
	0xdc, 0xf9, 0xff, 0xff, 0xf7, 0xe6, 0xfd, 0xbb, 
	0xef, 0xb3, 0xcf, 0x3e, 0xfb, 0xec, 0xb3, 0xce, 
	0xef, 0xff, 0xf9, 0xff, 0xbf, 0xff, 0xfe, 0xf3, 
	0xff, 0xbd, 0xb1, 0x7f, 0x7a, 0xe9, 0xaf, 0xbf, 
	0x5e, 0xfa, 0xeb, 0xbf, 0xd7, 0xf9, 0xf5, 0xd7, 
	0x6f, 0x9f, 0x7d, 0xf7, 0xdf, 0xff, 0x66, 0xe6, 
	0x9b, 0x7f, 0xf6, 0xd9, 0x6f, 0x9f, 0x7d, 0xf6, 
	0xff, 0xff, 0x7f, 0xff, 0xfd, 0xf9, 0xe7, 0xbf, 
	0xff, 0xff, 0x3f, 0x9b, 0x7b, 0xfb, 0xba, 0xed, 
	0xf6, 0xdb, 0x6e, 0xb7, 0xfd, 0xff, 0xff, 0xdf, 
	0x7e, 0xbf, 0xf7, 0xde, 0xfb, 0xff, 0xff, 0xef, 
	0xa6, 0xde, 0xeb, 0xbf, 0xf5, 0xd6, 0x5b, 0x6f, 
	0xbd, 0xfd, 0xf7, 0xef, 0xff, 0xfe, 0xfb, 0xe7, 
	0xbf, 0xff, 0x5f, 0xff, 0xab, 0x61, 0xff, 0x72, 
	0xbb, 0xef, 0xbe, 0xfb, 0xee, 0xbb, 0xff, 0xfe, 
	0xfb, 0xdf, 0x7f, 0xfb, 0xfd, 0xf7, 0xef, 0x97, 
	0x7f, 0x63, 0xfe, 0xbf, 0xfe, 0xfe, 0xfb, 0xef, 
	0xbf, 0xff, 0xfe, 0xeb, 0xf6, 0x6f, 0xbd, 0xff, 
	0x7f, 0xfd, 0xff, 0xfd, 0xf5, 0xff, 0x9b, 0xff, 
	0xaf, 0xcf, 0x3e, 0xfb, 0xec, 0xb3, 0xcf, 0x3e, 
	0xba, 0xfc, 0x47, 0x9f, 0x7f, 0xfe, 0xf9, 0xd7, 
	0x1f, 0x7d, 0xfe, 0xe6, 0xff, 0xcb, 0xef, 0xbf, 
	0xff, 0xfe, 0xfb, 0xef, 0xbf, 0xfe, 0xcf, 0xd7, 
	0x5f, 0xff, 0xfb, 0xff, 0xd7, 0x5f, 0xff, 0xbf, 
	0xe1, 0xef, 0xf2, 0xef, 0xbf, 0xff, 0xfe, 0xfb, 
	0xef, 0xaf, 0xeb, 0xff, 0xf5, 0xd7, 0xff, 0xff, 
	0xff, 0xf4, 0xd7, 0xff, 0x6f, 0xfe, 0xbf, 0xfe, 
	0xeb, 0xaf, 0xbf, 0xfe, 0xfa, 0xeb, 0xbf, 0xdf, 
	0xff, 0xf7, 0xd5, 0x3f, 0xff, 0xfd, 0xfd, 0xf5, 
	0xff, 0x1b, 0xfa, 0xaf, 0xbf, 0xff, 0xfe, 0xfb, 
	0xef, 0xbf, 0xff, 0xbf, 0xbb, 0xff, 0x7f, 0xfd, 
	0xff, 0xff, 0xdb, 0x7f, 0xfd, 0xff, 0xe6, 0xff, 
	0xdb, 0xef, 0xbf, 0xfc, 0xe7, 0xfb, 0x4f, 0xbf, 
	0xff, 0xe7, 0x9f, 0xfb, 0x7d, 0xbf, 0xad, 0xa7, 
	0xff, 0xff, 0xbf, 0xf9, 0xff, 0xae, 0xb5, 0xee, 
	0xea, 0xeb, 0xad, 0xb7, 0xe6, 0xba, 0xd7, 0x5f, 
	0x7d, 0xf5, 0x64, 0xd7, 0x5a, 0x7f, 0xfd, 0x6b, 
	0xfa, 0xbf, 0xff, 0xff, 0xff, 0xef, 0xff, 0xef, 
	0xbf, 0xff, 0xf9, 0xf7, 0xf1, 0xe7, 0x8f, 0x5d, 
	0xfc, 0xff, 0xff, 0x7f, 0x1b, 0xff, 0xfb, 0xef, 
	0xbf, 0xf7, 0xff, 0xfb, 0xff, 0x77, 0xff, 0xfe, 
	0xbf, 0xff, 0xfa, 0xfd, 0xfd, 0xff, 0xff, 0xff, 
	0x7f, 0xe6, 0xff, 0x5f, 0xff, 0xde, 0xff, 0x5f, 
	0xff, 0xf5, 0xff, 0x9f, 0xff, 0xeb, 0xae, 0xff, 
	0xed, 0xf4, 0xff, 0xfe, 0xff, 0xbf, 0xf9, 0xff, 
	0xfe, 0xef, 0xaf, 0xe7, 0xfe, 0xfa, 0xeb, 0xc9, 
	0xef, 0xf9, 0xe7, 0xe7, 0x57, 0x7e, 0xee, 0xe7, 
	0xff, 0xff, 0x6f, 0xfe, 0xff, 0xfe, 0xff, 0xef, 
	0xdf, 0xff, 0xbd, 0xf7, 0xfd, 0xdf, 0xff, 0xdf, 
	0x7f, 0xbf, 0xfd, 0xff, 0xfe, 0xff, 0xff, 0x9b, 
	0xff, 0xff, 0xbb, 0xfe, 0xfa, 0xff, 0x8f, 0xbf, 
	0xfe, 0xff, 0xff, 0x1f, 0xff, 0xdf, 0xfd, 0xfb, 
	0x3f, 0xff, 0xfd, 0xff, 0xa6, 0xff, 0xff, 0xaf, 
	0x7d, 0xf7, 0xb7, 0x7e, 0x4f, 0xff, 0xfd, 0x6f, 
	0xf7, 0xff, 0xdd, 0xaf, 0xee, 0xf7, 0x9f, 0xff, 
	0xbf, 0xf9, 0xff, 0xff, 0xdf, 0xff, 0xff, 0xff, 
	0xff, 0xed, 0xf1, 0x9f, 0xbf, 0xf7, 0xff, 0xff, 
	0xfb, 0xef, 0xf6, 0xf7, 0xff, 0x6f, 0xfe, 0xfe, 
	0xfd, 0xbf, 0xfb, 0xcf, 0xdf, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xbb, 0xff, 0xff, 0xef, 0x7f, 0xfc, 
	0xff, 0xff, 0x9b, 0xff, 0xff, 0xfe, 0xbf, 0xfe, 
	0xef, 0xff, 0xf7, 0xff, 0xbf, 0xff, 0xef, 0xff, 
	0xff, 0xff, 0xff, 0x7d, 0xbd, 0xf7, 0xff, 0x66, 
	0xff, 0xef, 0xff, 0xff, 0xff, 0xfd, 0xeb, 0xab, 
	0xff, 0xfe, 0xe7, 0xdc, 0x5f, 0x6f, 0xd9, 0xf5, 
	0xff, 0x5f, 0xff, 0xbf, 0xf1, 0xff, 0xf2, 0xff, 
	0xff, 0x9f, 0xf6, 0xfb, 0x2d, 0xf7, 0xf9, 0xfb, 
	0xf3, 0x9f, 0x7f, 0xff, 0xfd, 0xfe, 0xff, 0xff, 
	0x67, 0xfe, 0xbf, 0xff, 0xff, 0xff, 0xff, 0x7f, 
	0xf7, 0xdd, 0xfb, 0xdf, 0xf7, 0xbe, 0xfb, 0xef, 
	0x7f, 0xff, 0xff, 0xfe, 0xff, 0x9b, 0xfe, 0xaf, 
	0xff, 0xfe, 0xfa, 0x9b, 0xbf, 0xbf, 0xcf, 0xce, 
	0x5f, 0xff, 0x7b, 0xf5, 0xd5, 0x57, 0xdf, 0x79, 
	0xff, 0xbf, 0x66, 0xff, 0xff, 0xef, 0xff, 0xfe, 
	0xf6, 0x6f, 0xbf, 0x97, 0xff, 0xdd, 0xff, 0xff, 
	0xfd, 0xf7, 0xdf, 0x77, 0xdf, 0xfb, 0xb7, 0xf9, 
	0xff, 0xfa, 0xef, 0xaf, 0xd7, 0xce, 0xf7, 0xff, 
	0xbd, 0x76, 0xbf, 0xf6, 0xfe, 0xfb, 0xef, 0x9f, 
	0x7f, 0xd6, 0xff, 0x6f, 0xd4, 0xff, 0xff, 0x7e, 
	0xeb, 0xbc, 0x7f, 0x9b, 0x7f, 0xed, 0x75, 0xe7, 
	0xbd, 0xf4, 0xd2, 0x4b, 0xff, 0xff, 0xf5, 0x5f, 
	0x99, 0xfb, 0xaf, 0x9f, 0x2f, 0xfb, 0xf9, 0x3f, 
	0xff, 0xfe, 0xfe, 0xdf, 0xca, 0x7b, 0xfd, 0x34, 
	0xd3, 0x5e, 0x7f, 0xff, 0xef, 0x66, 0xfe, 0xbf, 
	0xb2, 0x9a, 0x1c, 0xee, 0xaf, 0xef, 0x96, 0xff, 
	0xbd, 0xf3, 0xfe, 0x8f, 0xaf, 0xbe, 0x57, 0xdf, 
	0xfd, 0xb3, 0xb1, 0xff, 0xfa, 0xfb, 0x2f, 0xff, 
	0x5e, 0xfb, 0xef, 0xbf, 0x7f, 0x6f, 0xf5, 0xff, 
	0xff, 0xff, 0xef, 0xb7, 0xff, 0xff, 0x66, 0xec, 
	0xff, 0xff, 0xfb, 0xeb, 0xbf, 0xf3, 0x5f, 0xfe, 
	0x6f, 0x7f, 0x7b, 0xfd, 0xb5, 0xd7, 0x5e, 0xfb, 
	0xed, 0xff, 0xbf, 0x99, 0xf7, 0xff, 0xf3, 0xcf, 
	0xff, 0xff, 0x7f, 0xdb, 0xff, 0xbf, 0xf3, 0xff, 
	0x7f, 0xdf, 0x7d, 0xf7, 0xfd, 0xf7, 0xff, 0xf7, 
	0xe6, 0xfd, 0xff, 0xfd, 0xf7, 0xdf, 0xff, 0xdf, 
	0xfd, 0xff, 0xcb, 0xff, 0xf7, 0xdf, 0x65, 0x9f, 
	0x7d, 0xd6, 0xf9, 0xff, 0xbd, 0xb1, 0xff, 0xdb, 
	0xee, 0x3e, 0xcf, 0x76, 0xf3, 0xee, 0xaf, 0x7f, 
	0xbd, 0xf4, 0xd7, 0x4f, 0x7f, 0xfd, 0xb7, 0xdb, 
	0xeb, 0x66, 0xe6, 0xff, 0xff, 0xff, 0xff, 0xf3, 
	0xfb, 0x7f, 0xff, 0xfb, 0xdf, 0x3f, 0xff, 0x6d, 
	0xb3, 0xcf, 0xfe, 0xdf, 0xff, 0x3b, 0x9b, 0xfb, 
	0xff, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xef, 0xff, 
	0xf6, 0xf7, 0xf7, 0x7f, 0xbb, 0x6d, 0xb7, 0xff, 
	0xff, 0x7f, 0xef, 0xe6, 0xfe, 0xfb, 0xff, 0xff, 
	0xda, 0xff, 0x8f, 0xef, 0xff, 0xf7, 0xbf, 0xdf, 
	0x7f, 0xfb, 0xed, 0xb7, 0xfe, 0xff, 0xff, 0xbb, 
	0x79, 0xff, 0xf6, 0xdf, 0xef, 0x9f, 0xfc, 0xfb, 
	0xdf, 0xff, 0xfa, 0xb7, 0xd5, 0x77, 0xdd, 0x7d, 
	0xf7, 0xdf, 0x93, 0x7f, 0x6f, 0xfe, 0xff, 0x7e, 
	0xfa, 0xdf, 0xff, 0xff, 0x7b, 0xfe, 0xeb, 0xfd, 
	0xff, 0xff, 0xfd, 0xf7, 0xdf, 0x77, 0xfd, 0xff, 
	0xff, 0x9b, 0xff, 0xbf, 0x8f, 0x3e, 0xff, 0xe8, 
	0xb3, 0xcf, 0x3f, 0xfa, 0xfc, 0x67, 0x97, 0x7d, 
	0x76, 0xdd, 0x45, 0x1f, 0x7d, 0xfe, 0xe6, 0xff, 
	0xfb, 0xaf, 0xff, 0xff, 0xe7, 0xef, 0xef, 0xbf, 
	0xfe, 0xf5, 0xdf, 0xdf, 0x7f, 0x7f, 0xfd, 0x95, 
	0xff, 0xff, 0xbf, 0xf9, 0xff, 0xfe, 0xeb, 0xff, 
	0xbf, 0xfe, 0xfb, 0xff, 0xaf, 0x7f, 0xfd, 0xf5, 
	0xdd, 0x7f, 0xbf, 0xfd, 0xe5, 0xd7, 0xff, 0x6f, 
	0xfe, 0xff, 0xfe, 0xff, 0xff, 0xff, 0xbf, 0xff, 
	0xfe, 0xbf, 0x5f, 0xfd, 0xd7, 0xd7, 0x5f, 0x75, 
	0xd5, 0xf7, 0xff, 0xff, 0x9b, 0xff, 0xbf, 0xff, 
	0xff, 0xff, 0xcb, 0xff, 0xff, 0xff, 0xff, 0xd7, 
	0x7f, 0x7f, 0xff, 0x7d, 0xf6, 0xfd, 0x7e, 0xfd, 
	0xff, 0xe6, 0xff, 0xfb, 0xfb, 0xff, 0xfd, 0xfe, 
	0xcb, 0xff, 0xff, 0xfd, 0xff, 0x9c, 0xdf, 0x7e, 
	0x79, 0xfd, 0xa7, 0x9f, 0xfe, 0xbf, 0xf9, 0xff, 
	0xad, 0xbf, 0xf6, 0xaa, 0xab, 0xad, 0xbd, 0xf6, 
	0xda, 0x17, 0x5f, 0x6a, 0xbd, 0xa5, 0xd6, 0x5a, 
	0x77, 0xfd, 0x6f, 0xfe, 0xff, 0xff, 0xff, 0xfb, 
	0xff, 0xf7, 0xec, 0xbf, 0xbb, 0x7f, 0xf5, 0xff, 
	0xa5, 0x9f, 0x7d, 0xfe, 0xf9, 0xff, 0xff, 0x1b, 
	0xbf, 0xff, 0xfe, 0xbf, 0xff, 0x7f, 0xef, 0xef, 
	0xaf, 0xff, 0xff, 0xff, 0xfe, 0xbf, 0x7f, 0xff, 
	0xff, 0xfb, 0xff, 0x7f, 0x66, 0xff, 0x7f, 0xff, 
	0xff, 0xef, 0xff, 0xef, 0xff, 0xff, 0xff, 0xf7, 
	0xff, 0x5f, 0x7f, 0xed, 0x64, 0x57, 0xff, 0xff, 
	0x9f, 0xf9, 0xff, 0xef, 0xcb, 0xef, 0xf7, 0xff, 
	0xfe, 0xff, 0x8d, 0xf9, 0xb9, 0x7d, 0xb7, 0x4b, 
	0xff, 0xfd, 0xf9, 0xff, 0xff, 0x67, 0xfc, 0xff, 
	0xff, 0xfa, 0xee, 0xfe, 0xff, 0xfd, 0xff, 0xfe, 
	0xff, 0xfd, 0x7d, 0xef, 0xaf, 0xde, 0xbf, 0x5f, 
	0xff, 0xff, 0x99, 0xff, 0xff, 0xff, 0xfe, 0xfb, 
	0xed, 0xbf, 0xff, 0xfe, 0x3e, 0xd7, 0xff, 0xbb, 
	0xdf, 0xf6, 0xff, 0x7d, 0xff, 0xff, 0x7f, 0xc6, 
	0xff, 0xff, 0xaf, 0xb5, 0xf6, 0xf4, 0x7f, 0xff, 
	0xfb, 0xfd, 0xf9, 0xfe, 0xfd, 0xdf, 0xff, 0xef, 
	0xc7, 0xff, 0xed, 0xbf, 0xf9, 0xff, 0x7f, 0xdf, 
	0x7f, 0xbf, 0xff, 0x77, 0xdf, 0xf5, 0x75, 0xff, 
	0xff, 0xff, 0xff, 0xfe, 0xef, 0xbf, 0xff, 0xf3, 
	0x6f, 0xfe, 0xff, 0xff, 0xbf, 0xa3, 0x8f, 0x3f, 
	0x7e, 0xfc, 0xff, 0x1e, 0xeb, 0xff, 0xff, 0xaf, 
	0x9b, 0xbf, 0xff, 0xcf, 0xff, 0x9b, 0xff, 0xff, 
	0xff, 0xff, 0xf7, 0xdf, 0x7e, 0x3e, 0xfb, 0xff, 
	0xdf, 0xfe, 0xff, 0xff, 0xf6, 0xe7, 0xff, 0xff, 
	0xff, 0xff, 0xe6, 0xff, 0xff, 0xaf, 0xfd, 0xfa, 
	0xfb, 0xff, 0xf7, 0xf7, 0xdf, 0x7f, 0xd1, 0x5b, 
	0x6f, 0xf9, 0xf7, 0x9f, 0xff, 0xfc, 0xbf, 0xf9, 
	0xff, 0xff, 0xef, 0xbf, 0x9f, 0xfe, 0xbf, 0x7f, 
	0xff, 0xfd, 0xff, 0x75, 0xd3, 0x7f, 0xbf, 0xdb, 
	0xe7, 0xdb, 0xff, 0x6f, 0xfe, 0xff, 0xff, 0xfd, 
	0xeb, 0xef, 0xff, 0xff, 0x9f, 0xbf, 0xff, 0xff, 
	0xef, 0xdf, 0x5f, 0xcf, 0x7f, 0xfe, 0xfb, 0xff, 
	0x1b, 0xfe, 0xbf, 0xff, 0xff, 0xe6, 0xeb, 0x3f, 
	0xbc, 0xf8, 0x7e, 0xfe, 0x79, 0x65, 0xf5, 0x97, 
	0xfc, 0xff, 0x7c, 0xf7, 0x3f, 0x66, 0xff, 0xfb, 
	0xff, 0xbf, 0xf3, 0xfa, 0xcf, 0xa9, 0xbf, 0xcf, 
	0x7f, 0xf6, 0xf9, 0xcf, 0xb9, 0xfe, 0xfc, 0xdf, 
	0xfd, 0xb7, 0xf9, 0x5f, 0x7e, 0x6d, 0xec, 0xe7, 
	0x9e, 0x7f, 0xa9, 0xff, 0xd7, 0xbf, 0xdd, 0x7e, 
	0x73, 0xaf, 0xff, 0xd7, 0x9e, 0xff, 0x6f, 0xd6, 
	0xf3, 0xce, 0x3a, 0xff, 0x8f, 0xf7, 0xdf, 0x3a, 
	0xff, 0xfc, 0xaf, 0xbd, 0xf4, 0xdf, 0xf9, 0x67, 
	0xbf, 0xf6, 0x5f, 0x9b, 0xfb, 0xbf, 0xdf, 0x5f, 
	0xff, 0xe9, 0xbb, 0xaf, 0x6e, 0xde, 0xff, 0x7e, 
	0x2b, 0xad, 0x3c, 0xfb, 0xcc, 0x37, 0xf7, 0xef, 
	0x66, 0xfe, 0xbb, 0xf2, 0xda, 0x2b, 0xaa, 0xf9, 
	0xa7, 0x9e, 0xf7, 0x5f, 0xf3, 0xee, 0x3b, 0xef, 
	0x3e, 0x5b, 0xcd, 0xff, 0xb3, 0xb1, 0xff, 0xfe, 
	0xff, 0xff, 0xfd, 0xfe, 0xfb, 0xee, 0xfb, 0xfd, 
	0x87, 0xbd, 0xfd, 0xd6, 0xdf, 0xee, 0xf5, 0xdf, 
	0xfa, 0x66, 0xee, 0xff, 0xfe, 0xfa, 0xff, 0xbf, 
	0xbf, 0xcd, 0xfa, 0xff, 0xdf, 0xfb, 0xed, 0xb5, 
	0xf7, 0xfe, 0x2b, 0xfd, 0xb7, 0xb8, 0x9b, 0xf7, 
	0xff, 0xfb, 0xff, 0xff, 0xff, 0x76, 0xdb, 0x6f, 
	0xbf, 0xb9, 0xdd, 0x77, 0xdf, 0x7f, 0xdb, 0xf9, 
	0xb7, 0xcf, 0xf7, 0xa6, 0xfd, 0xff, 0xf7, 0xf7, 
	0xdf, 0xff, 0xff, 0xfd, 0xff, 0x9f, 0x47, 0xfe, 
	0xf9, 0xe7, 0xbf, 0xff, 0xfe, 0xfb, 0xe5, 0xbd, 
	0xb1, 0xff, 0xfb, 0xed, 0xb1, 0xdb, 0x56, 0xfb, 
	0x6e, 0xbf, 0xff, 0xa1, 0xf4, 0xd7, 0x4b, 0x9f, 
	0x7d, 0x76, 0xd2, 0xff, 0x66, 0xe6, 0xff, 0xef, 
	0xff, 0xff, 0xfb, 0xdf, 0x7f, 0xff, 0xff, 0xff, 
	0x3f, 0xfb, 0xec, 0xf3, 0xe7, 0x9f, 0xff, 0xac, 
	0x3f, 0x9b, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xfd, 0xf7, 0xff, 0xff, 0xff, 0xdb, 0x6e, 0x7b, 
	0xff, 0xde, 0xfb, 0x6f, 0xfb, 0xef, 0xa6, 0xfe, 
	0xff, 0xbf, 0xbf, 0xff, 0xf7, 0xeb, 0xbf, 0xff, 
	0xdf, 0x85, 0xff, 0x7e, 0xbb, 0xff, 0x9f, 0xd7, 
	0xff, 0xfb, 0xab, 0x79, 0xff, 0xf7, 0xdb, 0x3f, 
	0xbf, 0xff, 0xfa, 0xcb, 0xff, 0x7e, 0xf1, 0xdf, 
	0x77, 0x7f, 0xfc, 0xf7, 0xe7, 0x7f, 0x7d, 0x63, 
	0xfe, 0xbf, 0x7e, 0xfb, 0xff, 0xed, 0x9f, 0xfe, 
	0xba, 0xff, 0xff, 0x6f, 0xdd, 0xfd, 0xde, 0xf9, 
	0xff, 0xfd, 0xf5, 0xfe, 0x9b, 0xff, 0xaf, 0xcf, 
	0x3e, 0xff, 0xfc, 0xa3, 0x8f, 0x3e, 0xff, 0xbc, 
	0x47, 0x9f, 0x7d, 0xf4, 0xb9, 0xe7, 0x1f, 0x7d, 
	0xfe, 0xe6, 0xff, 0xeb, 0xbf, 0xbf, 0xfd, 0xf7, 
	0x8b, 0x3f, 0xbf, 0xfe, 0xe5, 0xd7, 0xdf, 0xff, 
	0xff, 0xef, 0xd7, 0x5f, 0xff, 0xbf, 0xf9, 0xff, 
	0xfa, 0xfb, 0x2f, 0xbf, 0xff, 0xfe, 0xdb, 0xaf, 
	0x7f, 0xf9, 0xf5, 0xdf, 0x7f, 0xff, 0xff, 0xf7, 
	0xd7, 0xff, 0x6f, 0xfe, 0xff, 0xff, 0xfb, 0xfb, 
	0x6f, 0xbf, 0xfe, 0xfb, 0xbf, 0xff, 0xfd, 0xf7, 
	0xd7, 0x5f, 0xff, 0xfc, 0xfd, 0xdf, 0xff, 0x9b, 
	0xff, 0xff, 0xff, 0xfe, 0xf6, 0xdf, 0x2f, 0xbf, 
	0xfd, 0xff, 0xff, 0xff, 0x7f, 0xff, 0xe5, 0xff, 
	0xff, 0xff, 0xff, 0x3f, 0xe6, 0xff, 0xfe, 0x5f, 
	0xff, 0xfd, 0xf7, 0xfe, 0xef, 0xef, 0xfd, 0xcc, 
	0xff, 0xdf, 0x6f, 0xbf, 0xed, 0xfd, 0xdf, 0xfe, 
	0xbf, 0xe9, 0xdf, 0x2f, 0xbf, 0xfc, 0xe2, 0xeb, 
	0xaf, 0xbd, 0xf6, 0x72, 0x57, 0x5f, 0x37, 0xb5, 
	0x75, 0xd7, 0x5f, 0x7f, 0xfd, 0x69, 0xfe, 0xff, 
	0xff, 0xff, 0xcb, 0x6f, 0xff, 0xab, 0xdd, 0xbb, 
	0xdf, 0xe7, 0xb7, 0x5f, 0xfd, 0x5f, 0xfa, 0xff, 
	0xc1, 0xff, 0x1b, 0xff, 0xf7, 0xef, 0x7f, 0xbd, 
	0xfa, 0xfe, 0xde, 0x7f, 0xff, 0x7f, 0xef, 0xde, 
	0xff, 0xff, 0xf3, 0xff, 0xf5, 0xef, 0x7f, 0xe6, 
	0xff, 0x7f, 0xff, 0xfe, 0xfe, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0x7f, 0xff, 0xfd, 0x57, 0xf7, 
	0xff, 0x5f, 0xff, 0xbf, 0xe9, 0xf7, 0xfb, 0xff, 
	0xab, 0xf6, 0xff, 0xbe, 0xdf, 0xab, 0xf5, 0x7f, 
	0xf7, 0xdf, 0x7e, 0x7f, 0x7e, 0x7f, 0xdf, 0xfe, 
	0x6f, 0xfe, 0xbd, 0xff, 0xff, 0xef, 0xfe, 0xff, 
	0xed, 0xff, 0xda, 0xf7, 0xbf, 0xff, 0xff, 0xef, 
	0xff, 0xff, 0xff, 0xdb, 0xfd, 0x9b, 0xff, 0xbf, 
	0xfb, 0xf6, 0xf8, 0xff, 0xbe, 0xdb, 0xef, 0xfb, 
	0xbf, 0xda, 0x5f, 0x6f, 0xf7, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xe6, 0xff, 0xdb, 0xef, 0xbf, 0xfe, 
	0xbe, 0xff, 0xef, 0x3f, 0xfb, 0xff, 0xbf, 0xff, 
	0x6f, 0xda, 0xff, 0xbf, 0xff, 0xff, 0xbf, 0xf9, 
	0xff, 0x73, 0x4f, 0xfd, 0xbf, 0xfb, 0xf7, 0xf9, 
	0xbd, 0x94, 0xdf, 0xff, 0xff, 0xd7, 0xfb, 0xff, 
	0xff, 0xff, 0xdf, 0x6f, 0xfe, 0xff, 0xff, 0xff, 
	0x31, 0xfe, 0x7a, 0xff, 0xff, 0xf1, 0xff, 0xff, 
	0xfb, 0xff, 0xff, 0xe7, 0xff, 0xff, 0xf9, 0xfd, 
	0x9b, 0xfb, 0xff, 0xfe, 0xff, 0xfb, 0xff, 0xd7, 
	0xff, 0xf3, 0xf7, 0xff, 0xfe, 0xff, 0xff, 0xff, 
	0xff, 0xeb, 0xff, 0xfb, 0xff, 0xe6, 0xff, 0xff, 
	0xbf, 0x7f, 0x7e, 0xe3, 0xeb, 0xff, 0x2f, 0xee, 
	0xf5, 0xf9, 0x59, 0xbf, 0xdf, 0xb5, 0x7f, 0xab, 
	0xff, 0xbf, 0xf1, 0xff, 0xff, 0xe1, 0xbf, 0xff, 
	0xfe, 0xeb, 0x69, 0x7f, 0xff, 0xfd, 0xff, 0xfb, 
	0xff, 0xff, 0xfd, 0xf7, 0xdf, 0xff, 0x67, 0xfe, 
	0xff, 0xff, 0xff, 0xb3, 0xaf, 0x7f, 0xff, 0xef, 
	0x7f, 0xbf, 0xff, 0xbf, 0xff, 0xff, 0xbd, 0xff, 
	0xfe, 0xfb, 0xfb, 0x9b, 0xfe, 0xff, 0xff, 0x9f, 
	0x33, 0x6b, 0xaf, 0xbf, 0xf7, 0x2e, 0xd7, 0x7f, 
	0xe5, 0xe9, 0x57, 0x56, 0x78, 0xf9, 0xf5, 0xbf, 
	0x66, 0xff, 0x7f, 0xef, 0xa7, 0x5e, 0xfb, 0xeb, 
	0xef, 0xbf, 0x95, 0xff, 0x9f, 0xfe, 0xcf, 0xb5, 
	0xfe, 0xf2, 0xdf, 0xfe, 0xb7, 0xf9, 0xff, 0xfb, 
	0xff, 0xb5, 0xbf, 0x5c, 0xfb, 0xfb, 0xbd, 0xf7, 
	0x9f, 0xf7, 0xfc, 0xd3, 0xef, 0xb3, 0xcd, 0xb6, 
	0xeb, 0x6f, 0xd4, 0xbf, 0x9e, 0x3e, 0xf7, 0x0c, 
	0xb3, 0xfe, 0x7e, 0xed, 0x55, 0xef, 0xbd, 0xfd, 
	0xf4, 0x4b, 0xad, 0xb5, 0xd6, 0x5e, 0x99, 0xfb, 
	0xff, 0xd7, 0xff, 0x7b, 0x49, 0xef, 0xdf, 0xf7, 
	0xdb, 0xd7, 0x76, 0xdb, 0xfd, 0xe6, 0xd2, 0x6c, 
	0xb3, 0x4d, 0x6e, 0x66, 0xfe, 0xbf, 0xf5, 0x9a, 
	0x5a, 0xb2, 0xad, 0xfb, 0xfd, 0xfa, 0xdf, 0xdf, 
	0xff, 0x8d, 0xfd, 0xbe, 0xf7, 0xde, 0xab, 0xb3, 
	0xb1, 0xff, 0xfa, 0xfb, 0xef, 0xbf, 0xdc, 0xfe, 
	0xff, 0xef, 0xf6, 0xbf, 0x86, 0xff, 0xd9, 0xdf, 
	0xff, 0xbd, 0xf7, 0xff, 0x66, 0xec, 0xbf, 0xfe, 
	0xfb, 0xeb, 0x2c, 0xe6, 0xfe, 0xff, 0x7b, 0x58, 
	0xe1, 0xe9, 0xfd, 0xb6, 0x5f, 0xfb, 0xed, 0xb7, 
	0x3f, 0x9b, 0xf7, 0xff, 0xfb, 0xef, 0xb7, 0xdf, 
	0xf8, 0xff, 0xff, 0xb7, 0xb3, 0xfd, 0xfe, 0x7f, 
	0xef, 0xf7, 0xdc, 0x73, 0xcf, 0x57, 0xe6, 0xfd, 
	0xff, 0xf7, 0xd7, 0x5f, 0x67, 0xff, 0xfd, 0xff, 
	0xc9, 0x4f, 0xbe, 0xff, 0x7f, 0xf3, 0x7d, 0xf6, 
	0xd9, 0xe7, 0x9d, 0xb1, 0x5f, 0xfb, 0xef, 0x33, 
	0xcf, 0x6e, 0x3b, 0xed, 0x27, 0x5e, 0xe9, 0xf4, 
	0xdf, 0x5e, 0x3e, 0xfd, 0xf4, 0xd2, 0xff, 0x66, 
	0xe6, 0xdf, 0x7f, 0xff, 0xfc, 0xf3, 0xfb, 0x7f, 
	0xbf, 0xd9, 0xdb, 0x36, 0xff, 0xfe, 0xf7, 0xcd, 
	0x1a, 0xeb, 0xac, 0x3b, 0x9b, 0xfb, 0xfe, 0xef, 
	0xef, 0xbf, 0xff, 0xff, 0xef, 0xdf, 0xf6, 0x37, 
	0xf7, 0xdf, 0xff, 0xff, 0xb6, 0xd7, 0x6e, 0x7b, 
	0xef, 0xe6, 0xfe, 0xfb, 0xaf, 0xff, 0xd8, 0xe7, 
	0xfb, 0xff, 0xdf, 0xf0, 0x87, 0xdf, 0x5e, 0xef, 
	0xa3, 0xb7, 0xd7, 0xfe, 0xfb, 0xbb, 0x79, 0xff, 
	0xf3, 0xc9, 0xbf, 0xff, 0xeb, 0x73, 0xbb, 0x67, 
	0x76, 0xf3, 0xdd, 0xb3, 0x4f, 0x74, 0xf7, 0xd5, 
	0x7f, 0x7f, 0x6f, 0xfe, 0xdf, 0xfe, 0xfe, 0xff, 
	0xee, 0xb6, 0xdf, 0x7f, 0xbb, 0xdf, 0xff, 0xfd, 
	0xf5, 0xff, 0xdf, 0xff, 0xff, 0x75, 0xff, 0x9b, 
	0xff, 0xef, 0x8f, 0x3e, 0xf3, 0xfc, 0xb3, 0x8f, 
	0x3f, 0xfb, 0x9c, 0xc7, 0x1f, 0x7f, 0xe4, 0xd9, 
	0xe7, 0x1f, 0x7d, 0xfe, 0xe6, 0xff, 0xfb, 0xff, 
	0xff, 0xfe, 0xfa, 0xdf, 0xff, 0xbf, 0xfd, 0xed, 
	0x9f, 0xdf, 0xff, 0xff, 0xfd, 0xff, 0x5f, 0xff, 
	0xbf, 0xf9, 0xff, 0xfb, 0xff, 0xff, 0xbf, 0xfe, 
	0xf3, 0xfb, 0xbf, 0xff, 0xfd, 0xfd, 0xd7, 0x5f, 
	0xff, 0xfd, 0xff, 0xd7, 0xff, 0x6f, 0xfe, 0xff, 
	0xfe, 0xff, 0xff, 0xef, 0xfe, 0xff, 0xef, 0x8f, 
	0x7f, 0xfc, 0xf1, 0xfd, 0x7f, 0x7f, 0x7d, 0xf5, 
	0xdf, 0xff, 0x9b, 0xff, 0xef, 0xff, 0xff, 0xff, 
	0xff, 0x7f, 0xbf, 0xff, 0xfe, 0xf3, 0xdf, 0x7f, 
	0xf9, 0xf5, 0xf7, 0x5f, 0xff, 0xff, 0xff, 0xe6, 
	0xff, 0xdf, 0x4f, 0xbf, 0xf7, 0x73, 0xff, 0x2f, 
	0x7f, 0xfd, 0xcc, 0xb7, 0xbf, 0x7e, 0xe9, 0xc7, 
	0x1e, 0xd7, 0xff, 0xbb, 0xf9, 0xff, 0xaf, 0xb7, 
	0xf6, 0xea, 0xeb, 0xaf, 0xb7, 0xf6, 0xf2, 0xc7, 
	0x5b, 0x7f, 0xd9, 0xc5, 0x17, 0x5f, 0x76, 0xe9, 
	0x6d, 0xf6, 0xbf, 0xff, 0xff, 0xf7, 0xfd, 0xff, 
	0xef, 0xbf, 0xcf, 0x1f, 0x7e, 0xd3, 0x7e, 0x9f, 
	0x7f, 0xf4, 0xf9, 0xa7, 0xff, 0x1b, 0xff, 0x7f, 
	0xfb, 0xef, 0xef, 0x7d, 0xfb, 0xff, 0xff, 0xda, 
	0xed, 0xdf, 0xf6, 0xdf, 0xff, 0xdb, 0x7f, 0xff, 
	0xfd, 0x7f, 0xe6, 0xef, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xf7, 0xff, 0x7f, 0xf7, 0xfb, 0xff, 
	0x7d, 0xfd, 0xfc, 0x77, 0xce, 0x97, 0x9f, 0xf9, 
	0xff, 0xff, 0xab, 0x0f, 0x3f, 0xdf, 0xfe, 0x3f, 
	0xac, 0x7d, 0xb9, 0xf5, 0x87, 0x5b, 0xef, 0xfd, 
	0xf6, 0xe7, 0xff, 0x67, 0xfc, 0xff, 0xff, 0xbb, 
	0xfb, 0xff, 0xff, 0xba, 0xff, 0xda, 0x5f, 0x7f, 
	0xfb, 0xfc, 0xd7, 0xff, 0x77, 0xff, 0xff, 0xff, 
	0x99, 0xff, 0xff, 0xbf, 0xfe, 0xf9, 0xff, 0x9f, 
	0xfb, 0xff, 0xd7, 0xfb, 0xfd, 0xff, 0x7f, 0xf3, 
	0xd7, 0xff, 0xff, 0xff, 0x7f, 0xc6, 0xdf, 0xfb, 
	0xcf, 0xfd, 0xff, 0xdf, 0xfb, 0xfa, 0xed, 0xfb, 
	0xef, 0x3f, 0xff, 0x7b, 0xfb, 0xf1, 0xff, 0xee, 
	0xff, 0xbd, 0xf9, 0xff, 0x7b, 0xfb, 0xfd, 0xff, 
	0xe7, 0xde, 0x7c, 0xf7, 0xbe, 0xff, 0xff, 0xff, 
	0x7f, 0xff, 0xff, 0xff, 0xfe, 0xfb, 0x6b, 0xfe, 
	0xff, 0xef, 0xff, 0xf3, 0xce, 0xd7, 0xff, 0xfd, 
	0xd3, 0x1d, 0xbd, 0xfe, 0xea, 0x52, 0xbe, 0xff, 
	0xfe, 0xbb, 0xff, 0x9b, 0xff, 0xff, 0xff, 0xf7, 
	0x7b, 0xdd, 0xff, 0x76, 0xef, 0xea, 0xdf, 0xff, 
	0xfe, 0xfb, 0xbf, 0xbb, 0xb3, 0xff, 0xfe, 0xde, 
	0xe6, 0xff, 0xff, 0xaf, 0x7f, 0x7f, 0xf0, 0xed, 
	0xff, 0xe7, 0xe7, 0xf5, 0xd7, 0x7b, 0xff, 0xdd, 
	0xff, 0x9d, 0xef, 0xef, 0xbf, 0xf9, 0xff, 0xfb, 
	0xfd, 0xff, 0xfd, 0xfa, 0xf9, 0xed, 0xbf, 0xdf, 
	0xdf, 0xbf, 0xbf, 0x33, 0xff, 0xff, 0x9f, 0x1f, 
	0xf7, 0x6b, 0xfe, 0xff, 0xfe, 0xff, 0xff, 0xdf, 
	0xff, 0xfe, 0xfd, 0xf7, 0xff, 0xff, 0xff, 0xfd, 
	0xde, 0xff, 0x6f, 0xf7, 0xf7, 0xff, 0x1b, 0xfe, 
	0xff, 0xff, 0xff, 0xe7, 0xaf, 0xac, 0xff, 0xfa, 
	0x2b, 0x5f, 0x7f, 0x7d, 0xe7, 0xdf, 0x7f, 0x73, 
	0xff, 0xfd, 0x3f, 0x66, 0xff, 0xff, 0xff, 0xff, 
	0xfd, 0x73, 0xe9, 0xef, 0xb2, 0x93, 0xdd, 0xb7, 
	0xdf, 0xae, 0xff, 0x9f, 0xf2, 0xdf, 0xff, 0xb7, 
	0xf9, 0x9f, 0x1e, 0xeb, 0xf5, 0xff, 0x56, 0x7a, 
	0xfb, 0xed, 0x77, 0xbf, 0xfd, 0xde, 0xeb, 0xcc, 
	0xbf, 0xbd, 0xf6, 0xfe, 0x6f, 0xd6, 0xb3, 0xde, 
	0x3a, 0xff, 0xbf, 0xb3, 0x5e, 0x7b, 0xed, 0x75, 
	0xaf, 0xbd, 0x76, 0x7e, 0xf9, 0xaf, 0xbd, 0xf6, 
	0x5f, 0x9b, 0xfb, 0xff, 0xaf, 0x7f, 0xfe, 0x6f, 
	0x2f, 0xd5, 0x66, 0x9b, 0xdd, 0x6e, 0x33, 0xef, 
	0x7f, 0xfb, 0x6c, 0xfb, 0xad, 0xee, 0x66, 0xfe, 
	0xbf, 0xb6, 0x8e, 0x6a, 0xeb, 0xeb, 0xe6, 0xbe, 
	0x7b, 0xdd, 0x71, 0xdf, 0xfd, 0xdf, 0xde, 0x72, 
	0xdf, 0xfd, 0xb3, 0xb1, 0xff, 0xfa, 0xeb, 0xab, 
	0xff, 0xda, 0x42, 0xb9, 0xef, 0x6e, 0x77, 0xfd, 
	0xde, 0xbb, 0xff, 0xbf, 0xdc, 0xf7, 0xfe, 0x66, 
	0xee, 0xbf, 0xfe, 0xfa, 0xeb, 0xbf, 0xe1, 0x54, 
	0x5b, 0x6d, 0x7f, 0xfb, 0x05, 0x97, 0xfd, 0xda, 
	0xa9, 0xed, 0xd7, 0xbf, 0x9b, 0xf7, 0xff, 0xdb, 
	0xef, 0xbf, 0xfd, 0x7f, 0x9b, 0xfd, 0xb6, 0xb3, 
	0xdd, 0xf6, 0xdb, 0x77, 0xbc, 0xdd, 0x76, 0xfb, 
	0xf7, 0xe6, 0xfd, 0xff, 0xff, 0xc7, 0xff, 0x7f, 
	0x9f, 0x6f, 0xbe, 0xc9, 0x4d, 0x36, 0xd9, 0xe4, 
	0xb7, 0x47, 0x3e, 0xf9, 0xfc, 0xbd, 0xb1, 0xff, 
	0x7b, 0xed, 0xb7, 0xdf, 0x3e, 0xe3, 0x8b, 0x2f, 
	0x7e, 0xe1, 0xa5, 0x97, 0x6f, 0xdf, 0xf9, 0x85, 
	0x97, 0xff, 0x66, 0xe6, 0xff, 0x7f, 0xff, 0xfc, 
	0xf6, 0xcf, 0xff, 0xfe, 0xfb, 0xdf, 0x7f, 0xff, 
	0xfd, 0xf9, 0xff, 0x7f, 0xff, 0xfd, 0x3f, 0x9b, 
	0xfb, 0xff, 0xf7, 0xdf, 0xff, 0xfe, 0xfe, 0xbf, 
	0xff, 0xf6, 0xb7, 0xdf, 0x7c, 0xb3, 0xf7, 0x7f, 
	0xdf, 0x7e, 0xf7, 0xef, 0xa6, 0xfe, 0xef, 0xbf, 
	0xff, 0xfe, 0xfb, 0x8b, 0x7f, 0xfc, 0xd1, 0x8f, 
	0x3f, 0xee, 0xe8, 0xe7, 0x8f, 0x3f, 0xfa, 0xfc, 
	0xab, 0x79, 0xff, 0xf6, 0xd9, 0x3f, 0xbf, 0xfa, 
	0xeb, 0x9f, 0x7f, 0xfe, 0xf3, 0xce, 0x3f, 0xff, 
	0xf5, 0xb3, 0xce, 0x7f, 0x6f, 0x6f, 0xfe, 0xdf, 
	0xfe, 0xfb, 0xed, 0xae, 0xb3, 0xff, 0xaf, 0xc9, 
	0x57, 0x7e, 0xd5, 0xd5, 0xbf, 0x59, 0x3e, 0xf9, 
	0x6f, 0xff, 0x9a, 0xff, 0xef, 0x8f, 0x3e, 0x7b, 
	0xe8, 0x33, 0xcf, 0x3f, 0x7a, 0xd4, 0x47, 0x1f, 
	0x7d, 0xfe, 0xd1, 0x47, 0x9f, 0x5f, 0xbe, 0xe6, 
	0xff, 0xef, 0xaf, 0xff, 0x5e, 0xe3, 0xcb, 0x2f, 
	0xbf, 0x7e, 0xf5, 0x97, 0x5f, 0xfe, 0xf3, 0xc5, 
	0xd7, 0xff, 0xf7, 0xbf, 0xf9, 0xff, 0xff, 0xeb, 
	0xff, 0xff, 0xfe, 0xfa, 0xcb, 0xaf, 0x77, 0xfd, 
	0xf5, 0xd7, 0xff, 0x7f, 0xfd, 0xf5, 0xff, 0xf7, 
	0x6f, 0xfe, 0xff, 0xfe, 0xfa, 0xef, 0xaf, 0xbe, 
	0xf8, 0xea, 0xbf, 0xff, 0xfd, 0xf3, 0xcf, 0x7f, 
	0xff, 0xfd, 0xf7, 0xdf, 0xff, 0x9b, 0xff, 0xef, 
	0xbf, 0xfe, 0xfb, 0xeb, 0xaf, 0xbf, 0xfe, 0x7f, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0x3f, 0x66, 0xff, 0xcb, 0xff, 0x7f, 0xfd, 
	0xf7, 0xcb, 0xff, 0xff, 0xff, 0xde, 0xff, 0x7f, 
	0x7a, 0xef, 0xff, 0x7f, 0xff, 0xff, 0xbf, 0xe9, 
	0xff, 0xae, 0x9e, 0xfe, 0xfa, 0xa3, 0xad, 0xbf, 
	0xf4, 0xa2, 0xd7, 0x5e, 0x7d, 0xf5, 0xa5, 0x47, 
	0x4f, 0x7e, 0xf9, 0x6f, 0xfe, 0xfd, 0xef, 0xff, 
	0xff, 0xee, 0xfd, 0xe8, 0xf3, 0xcf, 0x7e, 0xfa, 
	0x1d, 0xe7, 0xae, 0xff, 0xfe, 0xdf, 0x7f, 0xff, 
	0x1a, 0xff, 0xff, 0xdb, 0x6f, 0x3f, 0xff, 0xbf, 
	0x5f, 0xff, 0xbd, 0xef, 0x77, 0x3f, 0xff, 0xfa, 
	0x75, 0xff, 0xbe, 0xff, 0x7f, 0xe6, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0x7f, 0xba, 0x3d, 0xfd, 0xf6, 
	0xf7, 0xff, 0xb7, 0xdc, 0xf7, 0xfe, 0xf8, 0xff, 
	0xff, 0xbf, 0xf9, 0xff, 0xfa, 0xef, 0x8f, 0xbf, 
	0xff, 0xfb, 0xbf, 0xad, 0xfb, 0x9d, 0xb7, 0xc5, 
	0x5f, 0xe9, 0xfd, 0xf7, 0xdf, 0xff, 0x6b, 0xfe, 
	0x6f, 0xfe, 0xfe, 0xfb, 0xbe, 0xbf, 0xff, 0xbf, 
	0xef, 0xfd, 0xff, 0xd7, 0xfd, 0xbf, 0xff, 0x7f, 
	0xff, 0x7b, 0xff, 0x9b, 0xff, 0xbe, 0x7f, 0xee, 
	0xf9, 0xe7, 0xff, 0xef, 0xff, 0xf8, 0xc3, 0x1f, 
	0xff, 0xdf, 0xfd, 0xf3, 0xff, 0xf7, 0xff, 0xff, 
	0xe6, 0xff, 0xfb, 0xaf, 0xbf, 0xd6, 0xfa, 0xfb, 
	0xff, 0xbf, 0xff, 0xbf, 0xf7, 0xf8, 0xff, 0xff, 
	0xf5, 0x37, 0xdf, 0xbf, 0xbf, 0xf9, 0xff, 0xf3, 
	0x7f, 0xfd, 0xcf, 0xdf, 0x6b, 0xbf, 0xbf, 0xdf, 
	0xff, 0xfd, 0xff, 0xfe, 0xdb, 0xbf, 0xf7, 0xf7, 
	0xff, 0x6b, 0xfe, 0xff, 0xcf, 0xff, 0xff, 0x5f, 
	0xff, 0xff, 0xef, 0xff, 0xff, 0xbe, 0xfb, 0x7f, 
	0xff, 0xff, 0xf1, 0x67, 0xff, 0xff, 0x9b, 0xfb, 
	0xfb, 0xff, 0xff, 0xff, 0xdf, 0xff, 0xfd, 0xff, 
	0xff, 0xff, 0xff, 0xbf, 0xbf, 0xff, 0xff, 0xff, 
	0xff, 0xef, 0xfd, 0xe6, 0xff, 0xcb, 0xbf, 0xf7, 
	0xf4, 0x7b, 0xfd, 0xb5, 0xe7, 0xf5, 0xbf, 0xd9, 
	0x7e, 0xbf, 0xff, 0xf7, 0xfa, 0xff, 0xff, 0xbf, 
	0xe1, 0xff, 0xfa, 0xef, 0xbf, 0xf7, 0xfe, 0xf3, 
	0xca, 0xfe, 0xdb, 0xff, 0xff, 0xff, 0xff, 0xfd, 
	0xfd, 0x27, 0xd7, 0xff, 0x67, 0xf6, 0xff, 0xff, 
	0xbc, 0xf3, 0xcf, 0xfe, 0xfe, 0xfe, 0xff, 0xfd, 
	0x7f, 0xf7, 0xdd, 0xff, 0x5f, 0xff, 0xfd, 0xff, 
	0xff, 0x9b, 0xfe, 0xfc, 0xf2, 0x9b, 0xef, 0x3f, 
	0x7f, 0xbe, 0xff, 0xff, 0xff, 0xfe, 0xfb, 0x9d, 
	0xdf, 0x77, 0xdf, 0xfd, 0xff, 0xbf, 0x66, 0x7f, 
	0xea, 0xa5, 0xbf, 0xfe, 0xf2, 0xbb, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0x5f, 0xcf, 0xf7, 0xd7, 0x5f, 
	0xff, 0xfb, 0xb7, 0xf9, 0xdf, 0x6a, 0xab, 0xad, 
	0xb6, 0xce, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xdf, 0x79, 0xeb, 0xbd, 0xf7, 0xf7, 0xeb, 0x6f, 
	0xd4, 0xd7, 0x5f, 0x7f, 0xfd, 0xf5, 0xf7, 0xdf, 
	0xfe, 0xff, 0xff, 0xff, 0xff, 0x75, 0xde, 0xcb, 
	0x2f, 0xff, 0xf7, 0x5c, 0x99, 0xfb, 0xaf, 0x99, 
	0xf6, 0xba, 0xe9, 0xf1, 0xaf, 0x56, 0xfb, 0xdf, 
	0x7e, 0xfb, 0xfd, 0xef, 0xdf, 0x6c, 0xab, 0xcf, 
	0xee, 0x66, 0xfe, 0x7f, 0xf7, 0xd5, 0x6f, 0xff, 
	0xbf, 0xb7, 0xd6, 0xfe, 0xb7, 0xdf, 0x5e, 0xb5, 
	0xf3, 0xbd, 0xf2, 0xee, 0xb9, 0x93, 0xb1, 0xff, 
	0xff, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xee, 0xbc, 
	0xff, 0xfd, 0xf7, 0xdf, 0x6b, 0x7f, 0xff, 0xbd, 
	0xfd, 0xf7, 0x66, 0xec, 0xbf, 0xf6, 0xda, 0x6b, 
	0xaf, 0xfd, 0xff, 0x6a, 0xef, 0x7f, 0xff, 0xfd, 
	0xf5, 0xda, 0x7e, 0xfb, 0xed, 0xff, 0xbf, 0x99, 
	0xf7, 0xef, 0xbb, 0xef, 0xbe, 0xff, 0xfe, 0xdb, 
	0xbd, 0xff, 0xfb, 0xed, 0xff, 0xff, 0x6f, 0xf7, 
	0xdd, 0xff, 0x9f, 0x77, 0xe6, 0xfd, 0xfb, 0xec, 
	0xb3, 0xcb, 0x2e, 0xff, 0xf9, 0xf7, 0xfb, 0xff, 
	0xfe, 0xff, 0xcf, 0x99, 0x7f, 0xfe, 0xff, 0xcf, 
	0xbd, 0xb1, 0xff, 0xfa, 0xeb, 0xa5, 0xbf, 0x5e, 
	0x7b, 0xed, 0xbe, 0xff, 0x7d, 0xf7, 0xdf, 0x6e, 
	0x7e, 0xfd, 0xf5, 0xda, 0xbf, 0x6e, 0xe6, 0x9f, 
	0xfd, 0xf6, 0xdb, 0x6f, 0xdf, 0x7f, 0xff, 0xfd, 
	0xff, 0xff, 0xff, 0xff, 0xf9, 0xdf, 0x7f, 0xff, 
	0xff, 0x3b, 0x9b, 0xfb, 0x6d, 0xbf, 0xfd, 0xf6, 
	0xdb, 0xfd, 0xfb, 0xbf, 0xff, 0xff, 0xff, 0xff, 
	0x7f, 0xff, 0xb7, 0xdf, 0xff, 0xbf, 0xef, 0xe6, 
	0xfe, 0x6b, 0xaf, 0xbd, 0xf6, 0xda, 0xef, 0x37, 
	0xfe, 0xff, 0xff, 0xfe, 0x7f, 0x2b, 0xe3, 0xbd, 
	0xff, 0xfe, 0x7f, 0xbb, 0x79, 0xdf, 0xef, 0xbf, 
	0xff, 0xfa, 0xeb, 0xf2, 0x9f, 0xff, 0xfa, 0xb7, 
	0xdf, 0x3b, 0x7f, 0x7d, 0xf7, 0xdf, 0x17, 0x7f, 
	0x6f, 0xfe, 0xff, 0xff, 0x3f, 0xff, 0xfd, 0xbf, 
	0xfe, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xdf, 
	0x79, 0xf7, 0xff, 0x7f, 0xff, 0x9b, 0xff, 0xaf, 
	0x83, 0x1e, 0xfa, 0xe8, 0xa2, 0xcf, 0x3f, 0xff, 
	0xfc, 0xe5, 0x9f, 0x3f, 0xec, 0xd9, 0xe7, 0x1f, 
	0x7f, 0xfe, 0xe6, 0xff, 0xff, 0xf7, 0xdf, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xfe, 0xf5, 0xdf, 0xff, 
	0xaf, 0xfd, 0xf7, 0xd7, 0xff, 0xff, 0xbf, 0xf9, 
	0xff, 0xba, 0xea, 0xad, 0xbf, 0xae, 0xff, 0xff, 
	0xef, 0x7f, 0x5d, 0xf7, 0xff, 0xdf, 0xff, 0xfd, 
	0xf5, 0xd7, 0xff, 0x6f, 0xfe, 0xbf, 0xda, 0xea, 
	0xab, 0xaf, 0xfe, 0xff, 0xef, 0xaf, 0xff, 0xfd, 
	0xf5, 0xdf, 0x77, 0xdf, 0x7d, 0xf5, 0xdf, 0xff, 
	0x9b, 0xff, 0xff, 0xfb, 0xdf, 0xff, 0xff, 0xfe, 
	0xff, 0xff, 0xfe, 0xfb, 0x7d, 0xff, 0xbf, 0xf7, 
	0xf7, 0x5f, 0x7f, 0xff, 0xff, 0x66, 0xff, 0x93, 
	0x6f, 0x7d, 0xf5, 0xf5, 0xdb, 0x4f, 0xf5, 0xbc, 
	0xe7, 0x1f, 0xdf, 0x7e, 0xf3, 0xff, 0xff, 0xff, 
	0xfb, 0xbf, 0xf9, 0xff, 0x2e, 0xbb, 0xfe, 0xfa, 
	0xeb, 0xae, 0xbf, 0xfc, 0xf0, 0xc7, 0x5f, 0x7f, 
	0xf9, 0xf5, 0x97, 0x5f, 0x7e, 0xf5, 0x6f, 0xfe, 
	0xdf, 0xff, 0xee, 0xfd, 0xff, 0xba, 0xfc, 0xed, 
	0xbe, 0xff, 0xed, 0xff, 0x58, 0x07, 0x6a, 0xb8, 
	0xf1, 0xff, 0xe7, 0x1b, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xfd, 0x9f, 0xff, 0xff, 0x5f, 0xff, 0xef, 
	0xef, 0xaf, 0xf7, 0xdf, 0x6f, 0xef, 0xff, 0xff, 
	0x66, 0xef, 0xff, 0x7f, 0xfb, 0xfd, 0xff, 0xff, 
	0xfd, 0xff, 0xff, 0xff, 0x3b, 0xff, 0x7f, 0xef, 
	0xfd, 0xb7, 0xfe, 0xff, 0xb7, 0xf9, 0xff, 0xde, 
	0xeb, 0xef, 0xf7, 0xfe, 0xda, 0xed, 0xa9, 0x75, 
	0xed, 0xe5, 0xe6, 0x7f, 0xf7, 0xfd, 0xf9, 0xff, 
	0xfb, 0x67, 0xfc, 0xff, 0xbd, 0xfb, 0xde, 0xeb, 
	0x9f, 0xfd, 0xfd, 0xdb, 0xde, 0x7e, 0x6b, 0xff, 
	0xfb, 0xfd, 0xf7, 0xd7, 0xff, 0xff, 0x99, 0xff, 
	0x9c, 0xbf, 0x55, 0xbf, 0xbf, 0xff, 0xff, 0xff, 
	0xff, 0xcb, 0xfd, 0xe7, 0xfd, 0xf1, 0xc6, 0x3f, 
	0xbf, 0xfb, 0xff, 0xc6, 0xff, 0xab, 0xff, 0xff, 
	0xff, 0xdf, 0xff, 0xfb, 0xff, 0xe7, 0xcd, 0xbf, 
	0xff, 0x6e, 0xff, 0xff, 0xff, 0xff, 0xff, 0x9f, 
	0xf9, 0xff, 0xff, 0x3f, 0xff, 0xfd, 0xdf, 0xff, 
	0xfe, 0xff, 0x1d, 0xff, 0xbf, 0xbf, 0x7e, 0xef, 
	0xaf, 0xbf, 0xff, 0xff, 0x6b, 0xfe, 0x7d, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0x4f, 0xce, 0xfd, 0xff, 
	0x3b, 0xbc, 0xf8, 0xc7, 0xfe, 0xf7, 0xff, 0xff, 
	0xff, 0x99, 0xff, 0xbf, 0xff, 0xff, 0xff, 0x7f, 
	0xff, 0xbe, 0xfb, 0xbf, 0xff, 0xff, 0xb6, 0xfb, 
	0xfb, 0xff, 0xff, 0xbf, 0xb7, 0xbf, 0x66, 0xff, 
	0xed, 0xaf, 0xbf, 0xbe, 0xfa, 0xbd, 0xf4, 0xfe, 
	0xfa, 0xa7, 0xd7, 0xb7, 0xbf, 0xe5, 0xd5, 0x9b, 
	0x7f, 0xbf, 0xb7, 0xf9, 0xff, 0x7b, 0xed, 0xab, 
	0xbf, 0xfe, 0xfb, 0xbf, 0xbf, 0xdd, 0xdc, 0xf5, 
	0xff, 0x37, 0xdf, 0xfd, 0xef, 0xcd, 0xfd, 0x6f, 
	0xfe, 0x3d, 0xf7, 0xfb, 0xbf, 0xff, 0x7f, 0xff, 
	0xff, 0xab, 0xbf, 0xff, 0xff, 0xff, 0xdf, 0xbf, 
	0x7f, 0xff, 0xd7, 0xff, 0x9b, 0xff, 0x7b, 0xe7, 
	0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0x7f, 0x7f, 
	0xff, 0xf9, 0xfb, 0xef, 0xbc, 0xf5, 0xd1, 0xaf, 
	0xff, 0xa6, 0xff, 0xbf, 0xef, 0xbf, 0x5f, 0xeb, 
	0xef, 0xaf, 0xff, 0x5f, 0xdf, 0x5c, 0xdf, 0xad, 
	0xf7, 0xf5, 0xff, 0x7f, 0xff, 0xaf, 0xd9, 0xff, 
	0xf2, 0xfb, 0xef, 0x97, 0xff, 0xfe, 0xeb, 0xff, 
	0xd5, 0x9f, 0xfd, 0xb7, 0xf9, 0x7e, 0xfd, 0xff, 
	0xff, 0xff, 0x65, 0xfe, 0xb7, 0x5e, 0x7b, 0xef, 
	0xed, 0xb6, 0xff, 0xfa, 0xff, 0xf9, 0x6d, 0xb7, 
	0xfc, 0xba, 0xf9, 0x7f, 0xff, 0xf7, 0xfa, 0x1b, 
	0xf5, 0xf5, 0xe7, 0x5e, 0x7b, 0xed, 0xb5, 0xbf, 
	0xfe, 0x3f, 0xff, 0x6b, 0x6f, 0x9f, 0xff, 0xdf, 
	0x79, 0xe7, 0x9d, 0x57, 0xe6, 0xbe, 0xe9, 0x66, 
	0xbd, 0xf7, 0x5b, 0x6d, 0xa5, 0xff, 0xfd, 0x35, 
	0xdb, 0xd6, 0xaf, 0xd7, 0xb4, 0xd3, 0xef, 0xb7, 
	0x9b, 0x91, 0x6f, 0x7f, 0xf9, 0xef, 0xbd, 0x77, 
	0xde, 0xa9, 0xff, 0x7f, 0xed, 0xdc, 0xf7, 0xff, 
	0x37, 0x4d, 0xf4, 0xf5, 0xef, 0x6c, 0xec, 0xff, 
	0xff, 0xdb, 0x6f, 0xe5, 0xad, 0xb7, 0xfa, 0xff, 
	0x5f, 0x5b, 0xf7, 0xfd, 0xef, 0xff, 0x7b, 0xff, 
	0xfd, 0xbd, 0x19, 0xf9, 0xaf, 0xfd, 0xf8, 0x5b, 
	0x6d, 0xbf, 0x95, 0xfe, 0xf7, 0xdf, 0x7e, 0xfb, 
	0xff, 0xbf, 0xfa, 0x7f, 0xff, 0xff, 0xef, 0x86, 
	0x3d, 0xfb, 0x7e, 0xff, 0xef, 0xbe, 0xfb, 0xff, 
	0xff, 0x6f, 0x7e, 0xb7, 0xff, 0xf7, 0x9d, 0x7f, 
	0xff, 0xf9, 0xf7, 0x9d, 0x79, 0x9f, 0x2f, 0xbf, 
	0xff, 0xf3, 0xcf, 0xff, 0xff, 0x7f, 0xf7, 0xbf, 
	0xcc, 0x57, 0xf9, 0xed, 0xff, 0xde, 0x7f, 0x63, 
	0x65, 0xae, 0x9f, 0x7e, 0xfa, 0xeb, 0xaf, 0xbf, 
	0xfe, 0xfb, 0xcf, 0x7e, 0x77, 0xf1, 0xf7, 0xdb, 
	0x67, 0xaf, 0xfd, 0xf7, 0xba, 0x99, 0xf8, 0x66, 
	0xbb, 0xff, 0xfe, 0xfb, 0xef, 0xff, 0x7f, 0xff, 
	0xfd, 0xdf, 0xff, 0x7f, 0x7e, 0xff, 0xef, 0xff, 
	0xff, 0xce, 0xe6, 0xbe, 0xdb, 0xff, 0xbf, 0xfd, 
	0xf6, 0xfb, 0xff, 0xfb, 0xdf, 0xff, 0xf7, 0xff, 
	0xef, 0xfd, 0xff, 0xfd, 0xff, 0xef, 0xbb, 0xb9, 
	0xfd, 0xda, 0xdf, 0xff, 0xfd, 0xf7, 0xdf, 0xff, 
	0xff, 0x7f, 0xef, 0x8e, 0xff, 0xfe, 0x7b, 0xff, 
	0xf5, 0xdf, 0xff, 0x6e, 0xde, 0xff, 0xeb, 0xaa, 
	0xbf, 0xff, 0xfe, 0xdb, 0xff, 0xdf, 0x5f, 0xfd, 
	0xb3, 0x4f, 0x7f, 0x7d, 0xfd, 0xd5, 0x57, 0xdf, 
	0x9b, 0xff, 0xfd, 0xf7, 0xff, 0xfa, 0xeb, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xfb, 0x6e, 0xbd, 0xff, 
	0xdf, 0x7f, 0xff, 0xdd, 0xff, 0xe6, 0xff, 0xeb, 
	0xa3, 0x8b, 0x3e, 0xfa, 0xfc, 0xf3, 0xcf, 0x3f, 
	0xff, 0xf9, 0x47, 0x9f, 0x7f, 0xfc, 0xf0, 0x67, 
	0x9f, 0xbf, 0xf9, 0xff, 0xff, 0xff, 0xaf, 0xbf, 
	0xfe, 0xfa, 0xdf, 0xff, 0x7f, 0xfd, 0xe5, 0xd7, 
	0xff, 0xff, 0xff, 0xf4, 0xff, 0xff, 0x6f, 0xfe, 
	0xbf, 0xfe, 0xfa, 0xea, 0xaf, 0xbf, 0xfe, 0xf7, 
	0xff, 0x5f, 0x7f, 0xfd, 0xf5, 0xff, 0x7f, 0xef, 
	0xff, 0xff, 0xff, 0x9b, 0xff, 0xaf, 0xfe, 0xeb, 
	0xef, 0xbf, 0xaf, 0xfe, 0xff, 0xff, 0x7f, 0x5f, 
	0xfc, 0xf7, 0xdf, 0x5f, 0x7f, 0x7d, 0xf5, 0xff, 
	0xe6, 0xff, 0xff, 0xaf, 0xff, 0xff, 0xff, 0xeb, 
	0x7f, 0xff, 0xfe, 0xff, 0xd7, 0xff, 0xff, 0xff, 
	0xfd, 0xde, 0x5f, 0xff, 0xbf, 0xf9, 0xff, 0xf6, 
	0xdb, 0x4f, 0xff, 0xff, 0xff, 0xff, 0xff, 0x7f, 
	0xfb, 0xff, 0xa7, 0xdb, 0x7d, 0xff, 0xbf, 0xa7, 
	0xfe, 0x6f, 0xfe, 0xbf, 0x69, 0xaf, 0xb7, 0xfa, 
	0xfa, 0xeb, 0xaf, 0xbf, 0xdc, 0xa5, 0x57, 0x5d, 
	0x7b, 0xd9, 0xf5, 0xd7, 0x5f, 0xff, 0x9b, 0xfd, 
	0xef, 0x3f, 0xcb, 0xbf, 0xff, 0xfe, 0xff, 0xcf, 
	0xf3, 0xf7, 0x7f, 0xee, 0xd7, 0x63, 0xff, 0xfd, 
	0xfd, 0xf6, 0xf9, 0xc6, 0xff, 0xff, 0xfa, 0xff, 
	0x77, 0xff, 0xff, 0xff, 0xbf, 0xf2, 0xff, 0xf5, 
	0xed, 0xff, 0xff, 0xee, 0xff, 0xef, 0xff, 0xbb, 
	0xf9, 0xfb, 0xff, 0xbf, 0xff, 0xec, 0xb7, 0xef, 
	0xfe, 0xff, 0xff, 0x73, 0x97, 0xff, 0x5f, 0xff, 
	0x7f, 0x7f, 0xff, 0xfb, 0x6f, 0xfc, 0xb7, 0xfe, 
	0xfb, 0xee, 0xbf, 0xee, 0xfe, 0xbf, 0xe9, 0x9f, 
	0x3b, 0xfa, 0xe7, 0xd7, 0x5b, 0x77, 0xfc, 0xf0, 
	0xff, 0x98, 0xff, 0xbf, 0xaf, 0x7f, 0xbe, 0xfa, 
	0xef, 0xfb, 0xeb, 0xf9, 0xfe, 0xff, 0x7f, 0x7f, 
	0xef, 0xdf, 0xbf, 0xf7, 0xff, 0x7f, 0xe6, 0xef, 
	0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xef, 0xbd, 0xf7, 
	0xfe, 0x56, 0xfe, 0xfd, 0x77, 0xdc, 0x74, 0x9f, 
	0xdf, 0xf7, 0xbf, 0xf9, 0xff, 0xfa, 0xff, 0xfe, 
	0xff, 0xff, 0xed, 0xf7, 0xef, 0xd7, 0xff, 0xff, 
	0xff, 0xdf, 0xff, 0xff, 0xdf, 0xf7, 0xff, 0x67, 
	0xee, 0xd5, 0xbf, 0xff, 0x7f, 0x7f, 0xd7, 0xff, 
	0xff, 0x5b, 0xff, 0xfa, 0xf7, 0xbf, 0xdf, 0xfa, 
	0xba, 0xfb, 0xf7, 0x7d, 0x9a, 0xff, 0x4f, 0xff, 
	0xed, 0xf8, 0xfd, 0xfb, 0xdf, 0xff, 0x7f, 0xc5, 
	0xf9, 0xfe, 0xff, 0xf5, 0xbf, 0xfd, 0xff, 0xff, 
	0x7f, 0x66, 0xff, 0xef, 0xff, 0xfd, 0xde, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xff, 0xfd, 
	0xff, 0xff, 0xff, 0xf7, 0x9f, 0xb7, 0xf9, 0xff, 
	0xe9, 0xad, 0xff, 0xbe, 0xfe, 0x7b, 0xcc, 0xff, 
	0xff, 0x5f, 0xfe, 0xbf, 0x6d, 0x7f, 0xf5, 0xff, 
	0xff, 0xfe, 0x6f, 0xf6, 0xdf, 0xbe, 0xff, 0xfd, 
	0xbf, 0x5f, 0xf2, 0xdd, 0xe9, 0xff, 0x7e, 0xdd, 
	0xff, 0xcf, 0x5d, 0xbf, 0xff, 0xf7, 0xff, 0x9b, 
	0xff, 0xaf, 0xbe, 0xff, 0xef, 0xaf, 0xdf, 0xfc, 
	0xef, 0xff, 0xff, 0xfd, 0xf7, 0xf7, 0xf6, 0xff, 
	0xff, 0xbf, 0xfd, 0xff, 0x86, 0xff, 0x9b, 0xbf, 
	0xff, 0xff, 0xfb, 0xff, 0x6f, 0xf3, 0xf7, 0xc5, 
	0xf2, 0xfe, 0xe5, 0xf7, 0xfd, 0xff, 0xfe, 0xff, 
	0x8f, 0xd9, 0xff, 0xf6, 0xff, 0xff, 0xff, 0xfe, 
	0xdf, 0xeb, 0xff, 0x7d, 0xf9, 0xb5, 0x77, 0xeb, 
	0x7e, 0xff, 0xf5, 0xd7, 0xff, 0x6d, 0xfe, 0xbf, 
	0xcf, 0xfb, 0xff, 0xb9, 0xd7, 0x5f, 0x3a, 0xfb, 
	0x5f, 0x7b, 0x3f, 0xf7, 0xba, 0xcb, 0x6f, 0xbd, 
	0xf5, 0xff, 0x9b, 0xf5, 0xec, 0xb7, 0xff, 0xfd, 
	0xef, 0xfc, 0xb3, 0xfe, 0xff, 0xdf, 0x5f, 0x67, 
	0x9d, 0xdf, 0xfc, 0xeb, 0xaf, 0xff, 0xd7, 0xe6, 
	0xfe, 0xff, 0xb3, 0xdb, 0xfd, 0xbb, 0xf9, 0x6f, 
	0xff, 0xf5, 0xf5, 0xf3, 0xed, 0xb3, 0xcf, 0x74, 
	0xd3, 0x4a, 0xfb, 0xbb, 0x99, 0xff, 0xee, 0xba, 
	0x75, 0xff, 0x7b, 0xaf, 0xf9, 0x75, 0x56, 0x55, 
	0xd4, 0xf3, 0xfe, 0x33, 0xfd, 0xbf, 0xfb, 0xfe, 
	0x6c, 0xec, 0xbf, 0xf7, 0xfb, 0xff, 0xbd, 0xef, 
	0xff, 0x7e, 0xbd, 0x5f, 0x2b, 0x1f, 0xf7, 0xef, 
	0xf9, 0xfb, 0x7f, 0xbf, 0xbf, 0x99, 0xfb, 0xef, 
	0xbf, 0xff, 0x7f, 0xee, 0xff, 0xbf, 0x5d, 0xf7, 
	0xd7, 0x4b, 0x2f, 0xed, 0xbf, 0xda, 0x5f, 0x7f, 
	0xfd, 0xcf, 0xe6, 0xfd, 0xff, 0xfe, 0xf3, 0xaf, 
	0xff, 0xff, 0x76, 0xfb, 0xed, 0x7e, 0xff, 0xfd, 
	0xff, 0x9d, 0x7f, 0xfb, 0xdd, 0xf7, 0xb5, 0x79, 
	0xff, 0x7f, 0xfd, 0x79, 0xdf, 0xdf, 0xff, 0xff, 
	0xf1, 0xc6, 0xff, 0xde, 0xfa, 0xff, 0xef, 0xf7, 
	0x7f, 0xfe, 0x79, 0x6f, 0xec, 0xd7, 0x16, 0xfb, 
	0xcd, 0xb7, 0xef, 0xfe, 0xf3, 0x8d, 0x75, 0xff, 
	0x7d, 0xf7, 0xdb, 0x77, 0x3f, 0xbd, 0xf4, 0xbf, 
	0x99, 0xf9, 0xf7, 0xdf, 0x3f, 0xbf, 0xff, 0xff, 
	0xff, 0x3f, 0xff, 0xff, 0xef, 0xbf, 0x7f, 0xfe, 
	0xff, 0xc7, 0x3e, 0xfb, 0xcf, 0xe6, 0xfe, 0xfe, 
	0xfd, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 
	0xff, 0x7d, 0xf7, 0xef, 0xfd, 0xff, 0xb5, 0xdb, 
	0xfe, 0xbb, 0xa9, 0xff, 0xfa, 0xef, 0xef, 0xde, 
	0xfe, 0xff, 0xdb, 0x6d, 0xdf, 0xff, 0xb5, 0xdf, 
	0xfa, 0xf9, 0xff, 0xf5, 0xd7, 0xff, 0x6a, 0xde, 
	0x9f, 0x7c, 0xf2, 0xcf, 0x7f, 0xff, 0xfd, 0x7f, 
	0xab, 0xff, 0x7e, 0xf1, 0xdd, 0x7f, 0xfb, 0xf5, 
	0xf7, 0xdf, 0xdf, 0x9b, 0xff, 0xaf, 0xff, 0x7f, 
	0xef, 0xfd, 0xe7, 0xdf, 0xff, 0xfa, 0xff, 0xff, 
	0xef, 0xfd, 0xdf, 0xdf, 0xff, 0xef, 0xff, 0xff, 
	0xe6, 0xff, 0xfb, 0xf2, 0xcf, 0x3e, 0xbf, 0xf8, 
	0xf3, 0x8f, 0x3e, 0xf7, 0xf9, 0xc7, 0x9f, 0x7f, 
	0xf6, 0xd1, 0x47, 0x9f, 0xbf, 0xf9, 0xff, 0xff, 
	0xeb, 0xef, 0xff, 0xef, 0xff, 0xeb, 0xef, 0xff, 
	0xf3, 0xff, 0xdf, 0xff, 0xff, 0xfd, 0xff, 0xff, 
	0xff, 0x6f, 0xfe, 0xff, 0xbf, 0xfa, 0xef, 0xff, 
	0xef, 0xff, 0xff, 0xeb, 0xff, 0xff, 0xff, 0xf7, 
	0xff, 0x7f, 0x7f, 0xfd, 0xf5, 0xff, 0x9b, 0xff, 
	0xff, 0xfb, 0xff, 0xfe, 0xff, 0xff, 0xff, 0xff, 
	0xee, 0xff, 0xff, 0xfd, 0xf5, 0xdf, 0x7f, 0x5f, 
	0x7d, 0xf5, 0xff, 0xe6, 0xff, 0xff, 0xff, 0xbf, 
	0xfe, 0xbf, 0xff, 0xff, 0xbf, 0xfe, 0xee, 0xff, 
	0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xbf, 
	0xf9, 0xff, 0xff, 0xd3, 0xff, 0xbf, 0xfb, 0xf2, 
	0xfb, 0x6f, 0x7d, 0xff, 0xe5, 0x77, 0xdb, 0xff, 
	0xfb, 0xff, 0xff, 0xff, 0x6f, 0xf2, 0xff, 0xab, 
	0xae, 0xbf, 0xe6, 0x70, 0xcb, 0x2e, 0x3d, 0xbc, 
	0x75, 0xd7, 0x5f, 0x7f, 0xf9, 0xf1, 0x47, 0x0f, 
	0xff, 0x9a, 0xff, 0xff, 0xff, 0xff, 0xbf, 0xff, 
	0xff, 0xdd, 0xfc, 0xec, 0xff, 0xf7, 0xf7, 0xd8, 
	0x73, 0xf7, 0xef, 0xff, 0xff, 0xff, 0xc6, 0xbf, 
	0xff, 0xfb, 0xeb, 0xef, 0xdf, 0xbf, 0xab, 0xeb, 
	0x5f, 0xff, 0xff, 0xfd, 0xf7, 0x7f, 0xef, 0xff, 
	0xef, 0xef, 0x9f, 0xf9, 0xbf, 0xdf, 0xff, 0xfd, 
	0xf3, 0xff, 0xbf, 0x7f, 0xff, 0xff, 0xfb, 0xbf, 
	0xd3, 0xaf, 0xbf, 0xf7, 0x7f, 0xff, 0xfe, 0x6f, 
	0xfe, 0xf7, 0x7e, 0xf8, 0xee, 0xbf, 0xbf, 0xde, 
	0x3e, 0xe9, 0xd9, 0x7f, 0xfd, 0xf5, 0xd7, 0x7f, 
	0xff, 0xfd, 0xf7, 0x7f, 0x9b, 0xff, 0xff, 0x7f, 
	0xff, 0xfd, 0xf6, 0x9f, 0xff, 0x79, 0xf5, 0xdf, 
	0xa9, 0xfe, 0xfb, 0xcf, 0xf5, 0xff, 0xff, 0xff, 
	0xff, 0xe6, 0xcf, 0x7b, 0x7b, 0xff, 0xef, 0xb9, 
	0xdf, 0x9b, 0x7f, 0xee, 0xf3, 0xdf, 0xd9, 0x7f, 
	0xcc, 0xf2, 0xf7, 0xdf, 0xf7, 0xbf, 0xd9, 0xff, 
	0xfa, 0xfb, 0xff, 0xbf, 0xfe, 0x2e, 0xcb, 0x6f, 
	0x3f, 0xcf, 0xf9, 0xff, 0xdf, 0x7f, 0xe5, 0xe5, 
	0xf7, 0xff, 0x6d, 0xfe, 0xff, 0xff, 0xfb, 0x3f, 
	0xff, 0xef, 0xfe, 0xdf, 0xef, 0x7c, 0x7f, 0xbf, 
	0xfe, 0xdf, 0xff, 0xbf, 0xaf, 0xf7, 0xbf, 0x9b, 
	0xfd, 0xfd, 0x3b, 0xef, 0xf8, 0x33, 0xed, 0xff, 
	0xdf, 0xff, 0xff, 0xf4, 0x75, 0xfe, 0xe9, 0xfd, 
	0xfb, 0xff, 0xff, 0xff, 0xe6, 0xff, 0xff, 0xcf, 
	0xff, 0xfe, 0xec, 0xfb, 0xff, 0xdb, 0xdf, 0xbf, 
	0xff, 0xfe, 0x4e, 0xfe, 0xff, 0xff, 0xff, 0xff, 
	0xbb, 0xf9, 0xff, 0xfb, 0xff, 0xa7, 0xff, 0x7e, 
	0xff, 0xed, 0xb7, 0xff, 0xfd, 0xee, 0xed, 0x7d, 
	0xfe, 0xff, 0xe7, 0xbe, 0xff, 0x6f, 0xfc, 0xff, 
	0xfe, 0xfb, 0xeb, 0xb5, 0xfd, 0xf6, 0xdb, 0x27, 
	0x3f, 0xff, 0xfd, 0xbf, 0xcf, 0xef, 0xbf, 0xfd, 
	0xf6, 0x7f, 0x99, 0xff, 0xaf, 0xdf, 0xfe, 0xff, 
	0xf3, 0xbf, 0x3f, 0xff, 0xfb, 0x5f, 0x7f, 0xfd, 
	0xff, 0xf7, 0xff, 0x5f, 0xed, 0xfd, 0xff, 0xa6, 
	0xff, 0xeb, 0x3f, 0xd6, 0xf9, 0xe7, 0xfb, 0xef, 
	0xff, 0xfe, 0x7f, 0x7e, 0xff, 0xfd, 0xf7, 0xf5, 
	0xff, 0xff, 0xff, 0xaf, 0xd9, 0xff, 0xda, 0x4f, 
	0xfc, 0xff, 0xfd, 0xff, 0xeb, 0xbf, 0xff, 0x9f, 
	0xff, 0xb2, 0xeb, 0x4e, 0xef, 0xf5, 0xd7, 0xff, 
	0x6d, 0xfe, 0xe7, 0xff, 0xfb, 0x1f, 0xff, 0xbf, 
	0xff, 0xde, 0xeb, 0xf9, 0xfb, 0xf7, 0xe7, 0xba, 
	0x53, 0x6f, 0xbd, 0xf5, 0xff, 0x9b, 0xf5, 0xf9, 
	0xff, 0xfe, 0x7d, 0xff, 0xff, 0xbf, 0xfe, 0x7a, 
	0xff, 0xfb, 0x67, 0x98, 0xff, 0xd6, 0xeb, 0xaf, 
	0x9f, 0x57, 0xe6, 0xfe, 0xe9, 0xe5, 0xdf, 0xbb, 
	0xfb, 0xfd, 0xaf, 0xff, 0x3e, 0xf5, 0xfd, 0xff, 
	0xfa, 0x57, 0xf4, 0xd2, 0x4a, 0xb3, 0xbb, 0x99, 
	0x1f, 0xae, 0xad, 0x71, 0xff, 0x3b, 0xef, 0xa9, 
	0xb7, 0xce, 0xb5, 0xfe, 0xf3, 0xef, 0x37, 0xdd, 
	0xbe, 0xfb, 0xea, 0x64, 0xec, 0xbf, 0xfe, 0xfe, 
	0xdf, 0xaf, 0xef, 0xbf, 0xfa, 0xee, 0xdb, 0xff, 
	0x7f, 0xf7, 0xed, 0x5f, 0xfe, 0x7f, 0xff, 0xbf, 
	0x99, 0xfb, 0xef, 0xff, 0xfe, 0x3f, 0xfb, 0xff, 
	0xbf, 0xfe, 0xfa, 0xff, 0xdf, 0x7b, 0xe5, 0xbf, 
	0x92, 0x5f, 0x7f, 0xfd, 0x0f, 0xc6, 0x3d, 0xff, 
	0xff, 0xf3, 0xff, 0x3f, 0xff, 0xf6, 0xdb, 0x6f, 
	0x7e, 0xfb, 0xfd, 0xf7, 0x9d, 0xff, 0xf7, 0xdd, 
	0xf7, 0x9d, 0x79, 0xdf, 0x7f, 0xff, 0xf9, 0xf7, 
	0x9f, 0x7f, 0xfe, 0xf9, 0xf7, 0xbf, 0xdf, 0x3a, 
	0xe3, 0x6d, 0xff, 0x7d, 0xf6, 0x79, 0x6f, 0xec, 
	0xdb, 0x3e, 0xfb, 0xcf, 0xb3, 0xfd, 0x76, 0xfb, 
	0xed, 0x7e, 0xf7, 0xdd, 0xe7, 0xdb, 0x57, 0x2f, 
	0xfd, 0xf4, 0xaa, 0x9b, 0xf9, 0xf6, 0xef, 0x7f, 
	0xbf, 0xfd, 0xff, 0xdb, 0xef, 0xff, 0xfd, 0xff, 
	0xbf, 0x7f, 0xfe, 0xf7, 0xcf, 0x36, 0xfb, 0xcf, 
	0xe6, 0x7e, 0xff, 0xff, 0xf7, 0xdf, 0xff, 0xff, 
	0xfb, 0xff, 0xbf, 0xff, 0xff, 0xfd, 0xef, 0xfd, 
	0xff, 0xb5, 0xdb, 0xfe, 0xbb, 0xb9, 0xff, 0xfe, 
	0xfb, 0x77, 0xfe, 0xff, 0xff, 0xef, 0xbf, 0xff, 
	0xfd, 0xb5, 0x9a, 0xfe, 0xfb, 0xf7, 0xff, 0xd7, 
	0xdf, 0x6e, 0xde, 0xbd, 0xfd, 0xf6, 0xdf, 0x37, 
	0xff, 0xfd, 0xf3, 0xdb, 0x77, 0x7e, 0x95, 0x4d, 
	0x7f, 0xed, 0x6e, 0xb5, 0xdf, 0xdf, 0x9b, 0xff, 
	0xff, 0xbf, 0xee, 0xf3, 0xff, 0xf5, 0xff, 0xfe, 
	0xfa, 0xff, 0x7f, 0xff, 0xff, 0xff, 0xfa, 0x5f, 
	0xff, 0xff, 0xff, 0xe6, 0xff, 0xfb, 0xa3, 0x8f, 
	0x3e, 0xfb, 0xf8, 0xf3, 0x8f, 0x1e, 0x7f, 0xda, 
	0xe7, 0xb7, 0x7f, 0xee, 0xf9, 0x47, 0x9f, 0xbf, 
	0xf9, 0xff, 0xfa, 0xff, 0xef, 0xff, 0xff, 0xf7, 
	0xeb, 0x7f, 0xff, 0xfd, 0xff, 0xff, 0xff, 0x7f, 
	0xfd, 0xff, 0xff, 0xff, 0x6f, 0xfe, 0xbf, 0xfe, 
	0xfe, 0xff, 0xbf, 0xff, 0xfd, 0xfa, 0xff, 0xf5, 
	0xbf, 0xff, 0xfe, 0xff, 0x5f, 0x7f, 0xfd, 0xf5, 
	0xff, 0x9b, 0xff, 0xbf, 0xff, 0xfe, 0xfa, 0xfb, 
	0xaf, 0xff, 0xfe, 0xf3, 0xdd, 0x61, 0xbd, 0x57, 
	0xdf, 0xd7, 0x5f, 0x7d, 0xf5, 0xff, 0xe6, 0xff, 
	0xeb, 0xaf, 0xbf, 0xfe, 0xfa, 0xcb, 0xbf, 0xff, 
	0xdc, 0x7f, 0xde, 0xfb, 0xf7, 0xff, 0xe5, 0xff, 
	0xff, 0xff, 0xbf, 0xf9, 0xff, 0xf7, 0xfb, 0xff, 
	0xff, 0xfc, 0xff, 0xfb, 0xef, 0x7f, 0xf7, 0xe7, 
	0x27, 0xdf, 0x7f, 0xfb, 0xc9, 0xb7, 0xfb, 0x6f, 
	0xfe, 0xff, 0x6b, 0xad, 0xbd, 0xfe, 0xfa, 0x6b, 
	0xae, 0x36, 0xee, 0xf5, 0xd7, 0x5b, 0x7d, 0xf9, 
	0x75, 0xd7, 0x0b, 0xff, 0x9b, 0xcd, 0xef, 0xff, 
	0xef, 0xdf, 0xff, 0xfe, 0xfa, 0xff, 0xb7, 0xef, 
	0xfd, 0xe5, 0xf9, 0xd3, 0xe7, 0xfe, 0x7f, 0xff, 
	0xd9, 0xe6, 0xff, 0xff, 0xff, 0xff, 0xef, 0xbf, 
	0xdd, 0xfb, 0xbb, 0x7f, 0xff, 0xfb, 0xdc, 0xfd, 
	0xff, 0xff, 0xfe, 0xed, 0xeb, 0xbf, 0xe9, 0xff, 
	0xdf, 0xff, 0xf7, 0xdd, 0xfb, 0xff, 0x7f, 0xf7, 
	0xff, 0xdf, 0xff, 0xaf, 0xbf, 0xfa, 0xff, 0xff, 
	0xff, 0xff, 0x6f, 0xdc, 0xbf, 0xde, 0xee, 0xeb, 
	0xad, 0x3f, 0x6e, 0x76, 0xc3, 0x59, 0x7f, 0xfc, 
	0xf5, 0xd7, 0xdd, 0x7f, 0xe5, 0xd1, 0x7b, 0x19, 
	0xff, 0xbb, 0xdf, 0xfd, 0xf6, 0xda, 0xee, 0xdf, 
	0xbe, 0xfd, 0xbf, 0xbf, 0x37, 0xfb, 0xef, 0xbd, 
	0x35, 0x5f, 0xf7, 0x7f, 0xe6, 0xee, 0xfb, 0xbe, 
	0x7f, 0xee, 0xf9, 0x9e, 0x9f, 0xff, 0xff, 0xfc, 
	0xfe, 0xff, 0x77, 0xfc, 0xf2, 0x8f, 0x3e, 0xf7, 
	0xbf, 0xf1, 0xff, 0xff, 0xdf, 0xaf, 0xbf, 0xe6, 
	0xfa, 0xeb, 0xed, 0xff, 0xfb, 0xbe, 0x97, 0xdf, 
	0x7f, 0xf7, 0xfd, 0xf7, 0xff, 0x67, 0xfc, 0xff, 
	0xff, 0xf7, 0xfd, 0xff, 0xd5, 0x37, 0xdf, 0xbb, 
	0xfd, 0xfd, 0xcf, 0xff, 0xdf, 0x76, 0xbb, 0xbd, 
	0xf6, 0xff, 0x1a, 0xfd, 0x8f, 0xff, 0xfb, 0xdc, 
	0xf1, 0xff, 0xff, 0xef, 0xec, 0xe5, 0xe7, 0x9f, 
	0x7f, 0xff, 0xff, 0xff, 0xff, 0xef, 0x7e, 0xe6, 
	0xff, 0xaf, 0xff, 0xbf, 0xf5, 0xf6, 0xff, 0xff, 
	0xbe, 0xfe, 0xef, 0xfe, 0xff, 0xbf, 0xff, 0xff, 
	0xff, 0xfe, 0xff, 0xaf, 0xf9, 0xff, 0xfa, 0xff, 
	0xbf, 0xfb, 0xee, 0x7f, 0xef, 0xb3, 0xdf, 0xec, 
	0xf6, 0xdf, 0x7f, 0xc7, 0x9d, 0x77, 0xde, 0xff, 
	0x6f, 0xfe, 0x9d, 0x76, 0xff, 0xe7, 0x9f, 0xdf, 
	0x7c, 0xfb, 0xef, 0xff, 0xf7, 0xef, 0xfb, 0x4d, 
	0x2f, 0xbf, 0xfc, 0xf2, 0x7f, 0x9b, 0xff, 0xff, 
	0xff, 0xff, 0xfb, 0xef, 0xdf, 0x3f, 0xff, 0xfc, 
	0xf7, 0xdf, 0xff, 0xff, 0xf7, 0xdf, 0x7f, 0xff, 
	0xdd, 0xbf, 0x86, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xfb, 0x7c, 0xbe, 0xff, 0xff, 0x7f, 0xfe, 
	0xff, 0xff, 0x7f, 0x3e, 0xff, 0xff, 0x8f, 0xd9, 
	0xff, 0xff, 0xff, 0xff, 0xfd, 0xff, 0x5f, 0x6e, 
	0xef, 0x7f, 0xff, 0xdf, 0xff, 0x4b, 0x7f, 0x3d, 
	0xf5, 0xd7, 0xff, 0x6d, 0xfe, 0xff, 0x9f, 0x3b, 
	0xff, 0xff, 0xbd, 0x9c, 0x2e, 0xdb, 0x55, 0x2f, 
	0x9d, 0xfd, 0xd6, 0x5b, 0x6b, 0xb5, 0xf5, 0xff, 
	0x9b, 0xf5, 0xdf, 0xa7, 0x9f, 0x7f, 0xff, 0xc9, 
	0xb7, 0xdf, 0x78, 0xd6, 0x5b, 0x67, 0xbf, 0xfe, 
	0xfa, 0xeb, 0xaf, 0xff, 0xd7, 0xe6, 0xfe, 0xff, 
	0xff, 0xff, 0x1f, 0xff, 0xab, 0xfb, 0xaf, 0x60, 
	0xaf, 0xdd, 0x6b, 0x7b, 0xfd, 0xf5, 0xd7, 0x4b, 
	0xb7, 0xbb, 0x99, 0xff, 0xf7, 0xbb, 0xf6, 0xda, 
	0xfb, 0xe2, 0xbb, 0xa5, 0x7f, 0xbb, 0xfc, 0xda, 
	0xfe, 0xfd, 0xf7, 0xdf, 0x7b, 0xff, 0x6c, 0xec, 
	0xff, 0xdd, 0xff, 0xf7, 0xdd, 0xb3, 0xdc, 0x7e, 
	0xe9, 0xf5, 0xfc, 0xfd, 0xf5, 0xff, 0xff, 0xff, 
	0x7f, 0xff, 0xbf, 0x99, 0xfb, 0xff, 0xa7, 0xff, 
	0x7f, 0xfe, 0x2c, 0xa7, 0x5f, 0xea, 0xb7, 0xdf, 
	0x7b, 0xfd, 0xf5, 0xd7, 0x5f, 0x7f, 0xfd, 0x8f, 
	0xe6, 0xfd, 0xff, 0xf2, 0xdb, 0xbe, 0xbb, 0xdd, 
	0xf2, 0xfb, 0xef, 0xee, 0xff, 0xed, 0x77, 0xff, 
	0x7d, 0xf7, 0xfd, 0xf7, 0xbd, 0x79, 0xff, 0x7f, 
	0xff, 0xfd, 0xf7, 0xdf, 0x77, 0xfe, 0x77, 0xde, 
	0x37, 0xdf, 0xf4, 0xcb, 0x7f, 0x9f, 0x7d, 0xf6, 
	0x79, 0x6f, 0xec, 0xff, 0x34, 0xfb, 0xec, 0xb3, 
	0xef, 0xfc, 0xfb, 0xcd, 0x75, 0xfc, 0xfd, 0x74, 
	0xd3, 0x4f, 0x3f, 0xbd, 0xf4, 0xbf, 0x99, 0xf9, 
	0xf7, 0xfb, 0x6f, 0xbf, 0xfd, 0xff, 0xdf, 0x3f, 
	0xff, 0xff, 0xff, 0x77, 0x7f, 0xec, 0xb5, 0xd7, 
	0x3e, 0xfb, 0xcf, 0xe6, 0xbe, 0xff, 0xff, 0xfb, 
	0xde, 0xfb, 0xff, 0xfb, 0xef, 0xff, 0xff, 0xff, 
	0xff, 0x5f, 0xfb, 0xed, 0xb7, 0xd7, 0xfe, 0xbb, 
	0xa9, 0xff, 0xe7, 0xf9, 0xff, 0xfe, 0x7f, 0xf7, 
	0xff, 0x2d, 0xf6, 0xf3, 0xb5, 0xdf, 0xff, 0x7f, 
	0xfd, 0xf5, 0xd7, 0xff, 0x6a, 0xde, 0xdf, 0xfd, 
	0xf3, 0x9f, 0x7f, 0xfe, 0xff, 0x77, 0x8b, 0xfc, 
	0x7d, 0x95, 0xd5, 0xfe, 0xff, 0xfe, 0xfb, 0xee, 
	0xdf, 0x98, 0xff, 0xff, 0xfe, 0x7f, 0xef, 0xfd, 
	0xef, 0xff, 0xcf, 0x32, 0xbf, 0xdf, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xbf, 0xff, 0xe6, 0xff, 
	0xff, 0xb3, 0xcf, 0x3f, 0xff, 0xf8, 0xf3, 0x8f, 
	0x3e, 0xff, 0xf1, 0x67, 0x9f, 0x7f, 0xf4, 0xd1, 
	0x47, 0x9f, 0xbf, 0xf9, 0xff, 0xfa, 0xfb, 0x7f, 
	0xff, 0xf9, 0xfb, 0x9f, 0xaf, 0xff, 0xfb, 0xf7, 
	0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x6f, 
	0xfe, 0xff, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xbe, 
	0xfe, 0xeb, 0xdf, 0xff, 0xfd, 0xf5, 0xff, 0x5f, 
	0x7f, 0xfd, 0xf5, 0xff, 0x9b, 0xff, 0xaf, 0xff, 
	0xff, 0xe7, 0xbf, 0xbf, 0xff, 0xff, 0xea, 0x3f, 
	0xff, 0xfd, 0xf7, 0xff, 0xd7, 0x5f, 0x7f, 0xfd, 
	0xff, 0x66, 0xff, 0xeb, 0xff, 0xff, 0xff, 0xff, 
	0xef, 0x7e, 0xff, 0xff, 0xfe, 0xff, 0x7f, 0xff, 
	0xfb, 0xff, 0xff, 0xff, 0xff, 0x8f, 0xf9, 0xff, 
	0xff, 0xfb, 0xef, 0xff, 0xfc, 0xf2, 0xfb, 0x6f, 
	0x77, 0xfb, 0xff, 0x1f, 0x5f, 0x7e, 0xff, 0xfd, 
	0xf7, 0xff, 0x6f, 0xfa, 0xff, 0xeb, 0xae, 0xbd, 
	0xfa, 0x78, 0xc3, 0x2e, 0xbf, 0xbe, 0xf1, 0xd7, 
	0x4f, 0x6b, 0xdd, 0x75, 0xd7, 0x5c, 0xf7, 0x9b, 
	0x7f, 0xff, 0xff, 0xef, 0x31, 0xcf, 0x37, 0xfb, 
	0xff, 0xfc, 0x97, 0x7f, 0xf4, 0xbf, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xbf, 0xc6, 0xfb, 0xff, 0xfc, 
	0xfb, 0x63, 0x7e, 0xf7, 0xfd, 0xef, 0xab, 0xff, 
	0xf7, 0xee, 0xff, 0xff, 0xff, 0xfe, 0xf7, 0xbe, 
	0x9f, 0xf9, 0xff, 0xff, 0xbd, 0xaf, 0xfe, 0xfe, 
	0xfb, 0x7d, 0xf7, 0x5f, 0xfd, 0xf7, 0xfd, 0xff, 
	0xe9, 0xff, 0xfe, 0x7f, 0xff, 0x6f, 0xfe, 0xbf, 
	0xfe, 0xfc, 0xeb, 0xab, 0xff, 0xee, 0x7a, 0xcb, 
	0xdf, 0xee, 0xfd, 0xf5, 0xc5, 0xff, 0x6f, 0x7d, 
	0xf1, 0x7d, 0x9b, 0xff, 0xbf, 0xff, 0xff, 0xb7, 
	0xdb, 0xff, 0xef, 0xfe, 0xf7, 0xde, 0xf5, 0xff, 
	0xda, 0xfc, 0xff, 0x53, 0xff, 0xfe, 0xff, 0xe6, 
	0xef, 0xfa, 0xbf, 0xbb, 0xec, 0xb7, 0xe3, 0xaf, 
	0xbf, 0xee, 0xf3, 0xf7, 0xef, 0xff, 0xdf, 0xaf, 
	0xff, 0x7f, 0xff, 0xaf, 0xf9, 0xff, 0xfe, 0xf3, 
	0xcf, 0xbf, 0xaf, 0xcf, 0x7b, 0x4f, 0xff, 0xef, 
	0xf5, 0xff, 0xfe, 0xee, 0xff, 0x3f, 0x77, 0xff, 
	0x6b, 0xfe, 0xfe, 0xfe, 0xfb, 0x6f, 0xef, 0xf5, 
	0xff, 0x66, 0x6d, 0xf7, 0xfb, 0xff, 0x3f, 0xff, 
	0xff, 0xfb, 0xe7, 0x6d, 0xfd, 0x9b, 0xff, 0xff, 
	0xff, 0x7f, 0xf8, 0xff, 0xff, 0xfe, 0xe9, 0xed, 
	0xff, 0xff, 0xff, 0xbf, 0xff, 0x7f, 0x1f, 0x9d, 
	0xee, 0xff, 0xe6, 0xff, 0xff, 0xfe, 0xff, 0x7e, 
	0xff, 0x7f, 0xf9, 0xff, 0xfe, 0xff, 0xff, 0xff, 
	0xff, 0xef, 0xff, 0xdb, 0xff, 0xfe, 0xaf, 0xf9, 
	0xff, 0x7f, 0xff, 0xa4, 0xbf, 0x6e, 0xaa, 0xdf, 
	0xab, 0x7b, 0xdd, 0xde, 0xd7, 0xef, 0x7f, 0x7d, 
	0xff, 0xd7, 0xfb, 0x6f, 0xfc, 0xdb, 0xfe, 0xfb, 
	0x2f, 0xbe, 0xff, 0xfe, 0xf3, 0x2d, 0x7f, 0xfb, 
	0xcf, 0xf5, 0xff, 0x7f, 0xbf, 0xef, 0xf7, 0x7f, 
	0x99, 0xff, 0xdf, 0x7f, 0xff, 0xdb, 0xf7, 0xdf, 
	0x7f, 0xff, 0xbb, 0xef, 0xff, 0xff, 0xf7, 0xff, 
	0xef, 0xff, 0xff, 0xfe, 0xff, 0xa6, 0xfd, 0xfb, 
	0xef, 0xe7, 0xff, 0xff, 0xfb, 0xaf, 0xd5, 0xfb, 
	0xff, 0x7f, 0x73, 0xe5, 0xe7, 0xf7, 0xff, 0xff, 
	0xff, 0xaf, 0xd9, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xf7, 0x5e, 0xf9, 0x7f, 0xff, 0xff, 0x5f, 0xf6, 
	0xf8, 0xaf, 0xef, 0xff, 0xff, 0xff, 0x6d, 0xee, 
	0xbf, 0x9e, 0x1e, 0xdf, 0xff, 0xbf, 0xff, 0xfb, 
	0xeb, 0x5c, 0xff, 0xbf, 0xdd, 0x54, 0x53, 0xaf, 
	0x3f, 0xfd, 0xff, 0x1b, 0xf5, 0xef, 0xf7, 0x9f, 
	0x6f, 0xfe, 0xef, 0xbf, 0x9f, 0xfa, 0xd7, 0xf9, 
	0xaf, 0xbd, 0xf5, 0xf7, 0x7b, 0xef, 0x9f, 0x57, 
	0xe6, 0xfe, 0xff, 0xf3, 0xdb, 0x7f, 0xff, 0xfd, 
	0x3f, 0xbd, 0xf7, 0xf7, 0xff, 0x7f, 0x93, 0xeb, 
	0xf7, 0xdd, 0xe4, 0xab, 0xbb, 0x91, 0xff, 0xef, 
	0xfc, 0xf5, 0xee, 0x2b, 0xef, 0xdb, 0xef, 0x7e, 
	0xd7, 0xfe, 0x73, 0xef, 0xfe, 0xd7, 0xde, 0x5a, 
	0xed, 0x64, 0xec, 0xff, 0xbf, 0xf6, 0xf7, 0xdf, 
	0xff, 0xff, 0xdb, 0x7b, 0x7f, 0xff, 0x7f, 0xfd, 
	0x10, 0x5a, 0xff, 0x85, 0xdd, 0xbf, 0x99, 0xfb, 
	0xff, 0xff, 0xfe, 0xff, 0xff, 0xff, 0xbf, 0xf9, 
	0xce, 0xf7, 0xdf, 0xff, 0xa5, 0x25, 0xf4, 0x7f, 
	0xaf, 0xfd, 0x6f, 0xe6, 0xfd, 0xff, 0xfe, 0xff, 
	0xee, 0xbb, 0xff, 0x7f, 0xff, 0xed, 0xfe, 0xff, 
	0xdd, 0xde, 0x9f, 0xff, 0xbf, 0xff, 0xfe, 0x9d, 
	0x71, 0xff, 0x7f, 0xdc, 0xfd, 0xd7, 0x7f, 0xff, 
	0xbf, 0x7f, 0xd6, 0xff, 0x57, 0x3e, 0xff, 0xfc, 
	0xff, 0xcf, 0x3e, 0x7b, 0x6f, 0xec, 0xdf, 0xf6, 
	0xbb, 0x6d, 0xb3, 0xff, 0xfe, 0xf3, 0xcf, 0x71, 
	0xfb, 0xfd, 0xe5, 0x9f, 0x6b, 0xbf, 0xc1, 0xc6, 
	0xad, 0x9b, 0xf9, 0xf3, 0xdf, 0x6f, 0xbf, 0xfd, 
	0xf7, 0xff, 0xff, 0xff, 0xfd, 0xff, 0x7d, 0xff, 
	0xff, 0xfb, 0xe7, 0x9f, 0xff, 0xce, 0xe6, 0x7e, 
	0xff, 0xfe, 0xfb, 0xee, 0xbb, 0xff, 0xff, 0xfe, 
	0xeb, 0xff, 0xff, 0xdf, 0xfd, 0xbf, 0xff, 0xfd, 
	0xfd, 0xdf, 0xbb, 0xb9, 0xff, 0xfb, 0xeb, 0xff, 
	0xfe, 0xfb, 0x7f, 0xcb, 0x2f, 0x7c, 0xfd, 0xbf, 
	0x3e, 0x5e, 0xf9, 0xfd, 0xcf, 0x3f, 0xdf, 0x6e, 
	0xde, 0xdf, 0xfd, 0xfb, 0x9d, 0x77, 0xbe, 0xdd, 
	0xea, 0x8b, 0xdf, 0xfe, 0xd3, 0xcf, 0x13, 0xd9, 
	0xfe, 0xf3, 0xcf, 0xdf, 0x9b, 0xff, 0xaf, 0xff, 
	0xff, 0xf7, 0xff, 0xff, 0xbf, 0xfe, 0xfe, 0xd7, 
	0x4b, 0xff, 0xf7, 0xe5, 0xdf, 0xfb, 0x7e, 0xdd, 
	0xff, 0xe6, 0xff, 0xef, 0xf3, 0xcf, 0x2f, 0xf7, 
	0xf8, 0xa3, 0x8b, 0x3d, 0xfd, 0xd1, 0xe7, 0x1f, 
	0x7d, 0xfc, 0xf9, 0xc7, 0x9e, 0xbf, 0xf9, 0xff, 
	0xfb, 0xef, 0xff, 0xfb, 0xfd, 0xff, 0xfb, 0x3f, 
	0xff, 0xfd, 0xf5, 0x97, 0xff, 0xfc, 0xfd, 0xc7, 
	0xbf, 0xff, 0x6f, 0xfe, 0xff, 0xff, 0xff, 0xff, 
	0xfb, 0xbf, 0xff, 0xba, 0xee, 0xff, 0x7f, 0xfd, 
	0xf5, 0xff, 0x7f, 0x7f, 0xff, 0xef, 0xff, 0x9b, 
	0xff, 0xbf, 0xff, 0xff, 0xef, 0x9f, 0xff, 0xff, 
	0xfb, 0xe7, 0xdf, 0xff, 0x7d, 0xf1, 0xd5, 0xdf, 
	0xff, 0xfd, 0xf5, 0xff, 0xe6, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfe, 
	0xff, 0x5f, 0x7f, 0xfd, 0xe7, 0xff, 0xff, 0xff, 
	0xbf, 0xf9, 0xff, 0xf6, 0xcb, 0x6f, 0xaf, 0xbf, 
	0xfe, 0xfb, 0x79, 0xaf, 0x7f, 0xe5, 0xff, 0xf7, 
	0x7f, 0xfb, 0xef, 0x97, 0xff, 0x6f, 0xfa, 0xbf, 
	0xab, 0xaf, 0x3d, 0xe6, 0xfa, 0xeb, 0xad, 0xbf, 
	0xfe, 0x45, 0xd3, 0x5f, 0x7f, 0xfd, 0xf5, 0xd7, 
	0x5a, 0xff, 0x9b, 0xff, 0xe7, 0x5f, 0xff, 0xf0, 
	0xef, 0xd7, 0xff, 0xff, 0xee, 0xff, 0x7f, 0xfe, 
	0xd9, 0x9f, 0xe7, 0xdf, 0xff, 0xff, 0xd9, 0xc6, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 
	0xff, 0x7f, 0xff, 0xf7, 0x3f, 0xb7, 0xff, 0xff, 
	0xbf, 0xff, 0xff, 0xbb, 0xe9, 0xff, 0xff, 0xff, 
	0xaf, 0x7d, 0xdf, 0xff, 0xff, 0xfb, 0xdf, 0xdf, 
	0xc6, 0xff, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x6b, 0xfe, 0xbf, 0xff, 0xfe, 0xef, 0x2f, 0xfb, 
	0xff, 0x7a, 0xcd, 0x7f, 0x6d, 0xf1, 0xb5, 0xe7, 
	0x7f, 0xef, 0xbd, 0xf7, 0xff, 0x99, 0xff, 0xbf, 
	0xff, 0xfe, 0xff, 0xef, 0xff, 0xff, 0xfe, 0xdf, 
	0xf6, 0xf7, 0xee, 0x73, 0xff, 0xfd, 0xdf, 0xff, 
	0xde, 0x7f, 0xe6, 0xff, 0xef, 0xbf, 0xbf, 0xfe, 
	0xfa, 0xe7, 0x2f, 0xad, 0xfd, 0x7f, 0xf7, 0x1d, 
	0xff, 0xff, 0xfd, 0xff, 0xff, 0xff, 0xbf, 0xf9, 
	0xff, 0xfd, 0xf7, 0xdf, 0x7f, 0xf9, 0xfe, 0xf4, 
	0xfe, 0xbf, 0xff, 0xff, 0xf7, 0xfe, 0xff, 0xef, 
	0xb5, 0xff, 0xff, 0x67, 0xfe, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xdf, 0xfa, 0xdf, 0x7f, 0xef, 0xb9, 
	0xff, 0xd6, 0xfe, 0xfb, 0xff, 0xef, 0xdf, 0x7c, 
	0x9b, 0xff, 0xff, 0xff, 0xff, 0xff, 0xbf, 0xff, 
	0xfa, 0xdf, 0xe8, 0x7f, 0xe7, 0xff, 0xfe, 0xff, 
	0xff, 0x1d, 0x7d, 0xf6, 0x7a, 0xe6, 0xff, 0xff, 
	0xff, 0xff, 0xf7, 0xbf, 0xff, 0xff, 0xdf, 0xcd, 
	0xff, 0xff, 0x7e, 0xbd, 0xff, 0x9f, 0xdf, 0x4f, 
	0xff, 0xaf, 0xf9, 0xff, 0xfb, 0xef, 0xbf, 0xff, 
	0xf6, 0xfb, 0xef, 0xfe, 0xfe, 0xd7, 0xff, 0xd7, 
	0x7f, 0xff, 0xfd, 0xee, 0xff, 0xf7, 0x6f, 0xfc, 
	0x7f, 0xee, 0xf9, 0xe7, 0x9f, 0x7f, 0xfe, 0xf9, 
	0xef, 0x77, 0xff, 0x7f, 0x77, 0x97, 0x5f, 0xff, 
	0xf7, 0xbf, 0xff, 0x9b, 0xff, 0xdf, 0x7f, 0xff, 
	0xfd, 0xf7, 0xdf, 0x7f, 0xff, 0xfd, 0xef, 0xff, 
	0xff, 0xfd, 0xfd, 0xf7, 0xff, 0xf7, 0xf7, 0xff, 
	0x86, 0xff, 0xfb, 0xef, 0xbf, 0xff, 0xfe, 0xfb, 
	0xbf, 0xff, 0x9f, 0x97, 0xdf, 0xff, 0xf9, 0xe5, 
	0x3d, 0x3e, 0x5f, 0xff, 0x8f, 0xd9, 0xff, 0xfb, 
	0xef, 0xbf, 0xff, 0xfe, 0xfb, 0xef, 0xff, 0x67, 
	0xff, 0xb7, 0xbf, 0xd3, 0x7f, 0xbf, 0xfe, 0xd7, 
	0xff, 0x6d, 0xfe, 0xf7, 0xde, 0x7b, 0xef, 0xbd, 
	0xf7, 0xde, 0xfe, 0x7f, 0x7c, 0xfc, 0xbf, 0xfe, 
	0x76, 0x7b, 0xff, 0xb7, 0xfe, 0xff, 0x9b, 0xf5, 
	0xe5, 0x97, 0x5f, 0x7e, 0xf9, 0xe5, 0x97, 0xff, 
	0xfd, 0xe7, 0xff, 0xcf, 0xbf, 0xf6, 0xda, 0xf3, 
	0xef, 0xff, 0xd7, 0xe6, 0xfe, 0x6f, 0xb6, 0xd9, 
	0x66, 0x9b, 0x6d, 0xe5, 0xff, 0xfd, 0x87, 0xdf, 
	0x5f, 0xaf, 0xcd, 0xbc, 0xd7, 0x57, 0xff, 0xbb, 
	0x99, 0xff, 0x5e, 0x79, 0xe5, 0x9d, 0x77, 0xde, 
	0xfb, 0xff, 0x7f, 0xcf, 0xd6, 0xd7, 0xcf, 0x7b, 
	0xef, 0xd5, 0x57, 0xff, 0x6c, 0xec, 0xbf, 0xf7, 
	0xde, 0x7b, 0xeb, 0xaf, 0xff, 0xfb, 0xff, 0x75, 
	0xaf, 0xff, 0xb5, 0xf5, 0x7f, 0xfb, 0xff, 0xff, 
	0xbf, 0x99, 0xfb, 0xbf, 0xff, 0xfe, 0xfb, 0xef, 
	0xbf, 0xff, 0xfe, 0x77, 0xbf, 0xea, 0xff, 0xed, 
	0xb7, 0xdf, 0xf8, 0xff, 0xff, 0xef, 0xe6, 0xfd, 
	0xfb, 0xef, 0xbb, 0xef, 0xbe, 0xfb, 0xfe, 0xfb, 
	0x2f, 0x6e, 0xfe, 0xff, 0x67, 0xff, 0x7f, 0xff, 
	0xff, 0xb7, 0xbd, 0x79, 0xff, 0xfe, 0xfb, 0xec, 
	0xb3, 0xcf, 0x3e, 0xbb, 0x7c, 0xf7, 0x3f, 0xff, 
	0x7f, 0xdf, 0x7f, 0x9f, 0xdf, 0x7c, 0x7f, 0x6f, 
	0xec, 0xbf, 0xfe, 0xfa, 0xeb, 0xaf, 0xbf, 0xfe, 
	0xfa, 0xef, 0x7e, 0xfe, 0xfd, 0xf6, 0xd7, 0x5f, 
	0xff, 0xfd, 0xf6, 0xbf, 0x99, 0xf9, 0xef, 0xbf, 
	0xff, 0xfe, 0xfb, 0xef, 0xbf, 0xff, 0xff, 0xff, 
	0xff, 0xdf, 0xff, 0xfd, 0xf7, 0xff, 0x9f, 0xff, 
	0xcf, 0xe6, 0xfe, 0xfb, 0x6f, 0xbf, 0xfd, 0xf6, 
	0xdb, 0x6f, 0xff, 0xff, 0xff, 0xff, 0xff, 0x7f, 
	0xff, 0xed, 0x7f, 0xfb, 0xfd, 0xbb, 0xa9, 0xff, 
	0xff, 0xfb, 0xed, 0xb7, 0xdf, 0x7e, 0xfb, 0x7f, 
	0xfe, 0xf1, 0xff, 0xfe, 0xfe, 0xfb, 0xef, 0xfc, 
	0xdf, 0xff, 0x6a, 0xde, 0xff, 0xfb, 0xee, 0xbb, 
	0xef, 0xbe, 0xfb, 0xae, 0xdd, 0x77, 0xfc, 0xfb, 
	0x57, 0x7f, 0xff, 0xbd, 0xf1, 0xd7, 0xdf, 0x98, 
	0xff, 0xff, 0xff, 0xfe, 0xbb, 0xef, 0xbe, 0xff, 
	0x6e, 0xef, 0xdf, 0xfb, 0xff, 0xfd, 0xff, 0xd7, 
	0x5f, 0xef, 0xfd, 0xff, 0xe6, 0xff, 0xff, 0xb3, 
	0xcf, 0x3e, 0x7b, 0xec, 0xb3, 0xe7, 0xaf, 0x67, 
	0xfc, 0x75, 0x9f, 0x1f, 0x74, 0xd3, 0xe7, 0x8f, 
	0xbf, 0xf9, 0xff, 0xfa, 0xef, 0xbf, 0xff, 0x7e, 
	0xfb, 0xef, 0xbf, 0xef, 0x7d, 0x65, 0xdd, 0x57, 
	0x5f, 0xfd, 0xef, 0xb7, 0xeb, 0x6f, 0xfe, 0xbf, 
	0xfe, 0xfb, 0xef, 0xbf, 0xff, 0xfe, 0xfb, 0xfd, 
	0x77, 0x3f, 0xfd, 0xf6, 0xd3, 0x4d, 0xf7, 0xfb, 
	0xed, 0xff, 0x9b, 0xff, 0xa7, 0xbe, 0xfb, 0xee, 
	0xbb, 0xed, 0xbe, 0xdb, 0xbf, 0x7e, 0x51, 0xde, 
	0x75, 0xd4, 0x7c, 0xf7, 0xfd, 0xf7, 0xff, 0xe6, 
	0xff, 0xeb, 0xef, 0xbf, 0xff, 0xfe, 0xfb, 0xef, 
	0xf7, 0xcf, 0x7f, 0x96, 0x79, 0x67, 0xdd, 0x7e, 
	0xff, 0xdf, 0xff, 0xbf, 0xf9, 0xff, 0xff, 0xff, 
	0xff, 0xfe, 0xff, 0xff, 0xfb, 0xff, 0x7f, 0xf1, 
	0xfd, 0xb7, 0xfb, 0xff, 0xf9, 0xbf, 0x7f, 0xff, 
	0x6f, 0xfa, 0xff, 0xeb, 0xaf, 0xbf, 0xfa, 0xfa, 
	0xab, 0xad, 0x3f, 0xa4, 0x65, 0xd7, 0x1e, 0x7f, 
	0xfd, 0xd5, 0xd7, 0x5f, 0xff, 0x9a, 0x7f, 0xff, 
	0xfc, 0xfb, 0xbf, 0xff, 0xfe, 0xfd, 0x73, 0xff, 
	0xff, 0xfd, 0x7e, 0xf6, 0x5f, 0xff, 0xfe, 0xbd, 
	0xff, 0xff, 0xc6, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf5, 0xff, 
	0xff, 0xff, 0xbe, 0xfb, 0xfe, 0xbf, 0x9e, 0xf9, 
	0xff, 0xdf, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x77, 0xdf, 0xef, 0xfe, 0xfb, 0xff, 0xff, 0xff, 
	0xff, 0x7d, 0xff, 0x6f, 0xfe, 0xbf, 0xfe, 0xfa, 
	0xeb, 0xaf, 0xbf, 0xf2, 0xb2, 0x63, 0x5f, 0x7e, 
	0xfc, 0xe7, 0x9d, 0x97, 0xdb, 0xbd, 0x75, 0xff, 
	0x9b, 0xff, 0xbf, 0xff, 0xfe, 0xeb, 0xef, 0x6e, 
	0xff, 0xfe, 0xdf, 0xdf, 0xf7, 0xef, 0x9f, 0x7f, 
	0xfb, 0xff, 0xfd, 0x5d, 0xff, 0xe6, 0xff, 0xe3, 
	0xef, 0x3f, 0xfe, 0xa2, 0xe7, 0x8e, 0xbf, 0xf7, 
	0x74, 0xf7, 0xdf, 0x7f, 0xfc, 0xff, 0xf7, 0xdf, 
	0xff, 0xaf, 0xf9, 0xff, 0xff, 0x5f, 0xff, 0x3f, 
	0xff, 0xff, 0xff, 0x67, 0xbf, 0xfa, 0xef, 0xff, 
	0xdf, 0xff, 0xfb, 0xff, 0x7f, 0x7f, 0x6f, 0xfe, 
	0xe7, 0xff, 0xff, 0xff, 0xbf, 0xff, 0xff, 0xff, 
	0xbb, 0xff, 0xff, 0xff, 0xff, 0xde, 0xff, 0xfd, 
	0xff, 0x7f, 0xfe, 0x9b, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xdf, 0xdf, 0xec, 0xe5, 0xaa, 
	0xff, 0xff, 0xfb, 0x86, 0xfd, 0xfc, 0xfb, 0xff, 
	0xe6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xdf, 0xff, 
	0xff, 0x3f, 0xe3, 0xd9, 0xef, 0xff, 0xdf, 0xfe, 
	0xf7, 0xfb, 0xf7, 0xff, 0xbf, 0xf9, 0xff, 0xfa, 
	0xff, 0xbf, 0xbf, 0xfe, 0xfa, 0xeb, 0x2a, 0xff, 
	0xff, 0xff, 0xde, 0x7d, 0x7e, 0xfd, 0xf5, 0xff, 
	0xff, 0x6f, 0xfc, 0xdf, 0x7e, 0xff, 0xc5, 0xb7, 
	0xdf, 0xfe, 0xfb, 0xef, 0xf6, 0xff, 0xfd, 0xf6, 
	0xce, 0x7f, 0xfc, 0xfd, 0xf7, 0xff, 0x99, 0xff, 
	0xdf, 0xff, 0xff, 0xfb, 0xb7, 0xdf, 0x7f, 0xff, 
	0xfb, 0xff, 0x7b, 0x7f, 0xdd, 0xf7, 0xdf, 0xbf, 
	0xff, 0xe5, 0xfd, 0xa6, 0xff, 0xef, 0xbf, 0xff, 
	0xfc, 0xfb, 0xef, 0xef, 0xbf, 0xfb, 0xd5, 0x5f, 
	0xdf, 0xc9, 0xf7, 0xff, 0xfa, 0xdf, 0xff, 0x8f, 
	0xd9, 0xff, 0xfe, 0xfb, 0xef, 0xbf, 0xff, 0xfe, 
	0xef, 0x3f, 0x7f, 0xfb, 0xed, 0x77, 0xeb, 0xff, 
	0x9f, 0xff, 0xdf, 0xff, 0x6d, 0xfe, 0xff, 0xce, 
	0xff, 0x6f, 0xbf, 0xfd, 0xde, 0x7b, 0xef, 0x5f, 
	0x6b, 0xbf, 0xf7, 0x7a, 0x53, 0xff, 0xbf, 0xf4, 
	0xff, 0x9b, 0xf7, 0xef, 0xe7, 0xff, 0xfe, 0xfb, 
	0xef, 0x97, 0x5f, 0x7e, 0xd7, 0x6b, 0xaf, 0x9d, 
	0x7f, 0xd6, 0xff, 0xe7, 0xff, 0xd7, 0xe6, 0xfe, 
	0xfd, 0xb5, 0xd7, 0x5f, 0x7f, 0xfd, 0xb6, 0xd9, 
	0x2e, 0xf5, 0xdf, 0xcc, 0xff, 0xcf, 0x36, 0xfb, 
	0xdf, 0xfb, 0xbb, 0x99, 0xbf, 0xef, 0xb9, 0xf7, 
	0xda, 0x6b, 0xef, 0x79, 0xe5, 0x5f, 0xf5, 0xbd, 
	0xf2, 0xff, 0xb3, 0xf7, 0xfe, 0x5f, 0xee, 0x6c, 
	0xea, 0xff, 0x1f, 0xff, 0xfe, 0xf5, 0xff, 0xbf, 
	0xde, 0xfb, 0x5b, 0x7f, 0xef, 0xf7, 0xef, 0x5b, 
	0xd9, 0xff, 0xf5, 0xbd, 0x99, 0xfb, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xd6, 0xdb, 0xd7, 
	0x7e, 0xfb, 0xed, 0x3f, 0xd4, 0xff, 0xff, 0xff, 
	0xef, 0xc6, 0xbd, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xef, 0xaf, 0xef, 0x7e, 0xf7, 0xff, 0xf7, 
	0x9d, 0xef, 0xff, 0xf9, 0xf7, 0xbd, 0x79, 0x17, 
	0xff, 0xff, 0xfd, 0xff, 0xdf, 0xff, 0xfb, 0xef, 
	0x72, 0x9d, 0xfd, 0x77, 0xf9, 0xef, 0x33, 0xff, 
	0xfc, 0x6b, 0x6f, 0xec, 0xd7, 0x56, 0x1b, 0xed, 
	0xbf, 0xfb, 0xfe, 0xfa, 0xeb, 0x75, 0x7f, 0xfd, 
	0xf5, 0xdb, 0x77, 0xbc, 0xfd, 0xf6, 0x3d, 0x99, 
	0xf9, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xff, 0xbf, 
	0xff, 0xfe, 0xfd, 0xdf, 0x7f, 0x7f, 0xfe, 0xff, 
	0xfd, 0x9f, 0xff, 0xcf, 0xe6, 0xfe, 0xff, 0xff, 
	0xfb, 0xff, 0xff, 0xff, 0xef, 0xbf, 0xed, 0xff, 
	0xf7, 0xdf, 0xee, 0xfd, 0xff, 0xff, 0xfb, 0xff, 
	0xbb, 0xb9, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xfe, 0x7f, 0xef, 0x75, 0xef, 0xbf, 0xff, 0xfe, 
	0xf9, 0xf3, 0xfd, 0xd6, 0xff, 0x6a, 0xde, 0x9f, 
	0x7d, 0xf7, 0xcd, 0x77, 0x9f, 0xfd, 0x6f, 0xbb, 
	0x7e, 0xfd, 0xf7, 0x5f, 0x7f, 0xeb, 0xfc, 0xf9, 
	0xcf, 0xce, 0x9b, 0xff, 0xfd, 0xff, 0xfe, 0xff, 
	0xef, 0xef, 0xff, 0xef, 0xfb, 0xdf, 0xfb, 0x77, 
	0x9d, 0xdf, 0x97, 0xeb, 0x7f, 0xff, 0xff, 0xe6, 
	0xff, 0xfb, 0xe3, 0xcf, 0x3e, 0xfb, 0xf8, 0xf3, 
	0xcf, 0x9e, 0x7d, 0xfc, 0x57, 0x8f, 0x5f, 0x77, 
	0xf9, 0xc7, 0x9f, 0xbf, 0xf9, 0xff, 0xe7, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xeb, 0xbf, 0xff, 0x7d, 
	0xf5, 0xd7, 0xe7, 0xde, 0x7b, 0xf7, 0xd7, 0xdf, 
	0x6f, 0xfe, 0x9f, 0xff, 0xff, 0xef, 0xff, 0xff, 
	0xff, 0xfa, 0xef, 0xd5, 0x3f, 0xfd, 0xf4, 0xfa, 
	0xef, 0x7f, 0xfd, 0xff, 0xff, 0x9b, 0xff, 0xff, 
	0xff, 0xfe, 0xff, 0xef, 0xff, 0xbf, 0xfa, 0xee, 
	0x77, 0x51, 0xfd, 0x77, 0x4f, 0x1d, 0xf5, 0x7f, 
	0xf7, 0xff, 0xe6, 0xff, 0xdb, 0xef, 0xff, 0xfe, 
	0xfb, 0xff, 0xaf, 0xbf, 0xdf, 0xf7, 0xd6, 0xfb, 
	0xe7, 0x9f, 0x7f, 0x9f, 0xdf, 0xff, 0xbf, 0xf9, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0x7f, 0xfb, 0xff, 0xb7, 0xdf, 0x7f, 0xf3, 
	0xff, 0x97, 0xf7, 0x6f, 0xfe, 0xff, 0xeb, 0xaf, 
	0xbf, 0xfe, 0xfa, 0xeb, 0xaf, 0x3f, 0xfe, 0xd4, 
	0xd7, 0x5f, 0x7f, 0xf9, 0xf5, 0xd7, 0x5a, 0xff, 
	0x9a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0x7f, 0xef, 0x67, 0xff, 0x7f, 0xf0, 0x62, 
	0x07, 0xf7, 0xff, 0xff, 0xff, 0xc6, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x7f, 0xff, 0xff, 
	0xff, 0xbf, 0xdf, 0x6f, 0xfd, 0x75, 0xff, 0xff, 
	0xfd, 0x9f, 0xf9, 0xdf, 0xff, 0xff, 0xfb, 0xfd, 
	0xff, 0xdf, 0xff, 0xff, 0xdf, 0xef, 0xfe, 0xda, 
	0xff, 0xbf, 0xff, 0xbe, 0xff, 0xff, 0x6f, 0xfc, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfb, 
	0xcb, 0x7f, 0x7e, 0xfe, 0xe5, 0xd7, 0x7f, 0xfe, 
	0xbd, 0x6f, 0x7f, 0x9b, 0xff, 0xff, 0xff, 0x7f, 
	0xff, 0xff, 0xef, 0xbf, 0xef, 0xbb, 0xff, 0xf4, 
	0x77, 0xdb, 0xef, 0xf7, 0xff, 0xf7, 0xf7, 0xff, 
	0xe6, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xbf, 0xfb, 0xfc, 0xff, 0x7f, 0x5f, 0xff, 
	0xf6, 0xf7, 0xff, 0xff, 0xbf, 0xf9, 0xff, 0xff, 
	0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xfd, 
	0x7f, 0xff, 0xe7, 0xff, 0x7f, 0x7e, 0xff, 0xff, 
	0xff, 0x6f, 0xfe, 0xff, 0xfb, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xf3, 0xbf, 0xff, 0xf7, 
	0xff, 0xdf, 0xdf, 0xff, 0xbf, 0xfe, 0x9b, 0xff, 
	0xfe, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0x7f, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xe6, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xbf, 0xff, 0xff, 0xff, 0xff, 0xbf, 
	0xf9, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xfe, 0x7b, 0xfd, 0xff, 0xda, 0xf8, 0xf5, 
	0xff, 0xfe, 0xff, 0xf7, 0x6e, 0xfe, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xef, 0x77, 
	0xfd, 0xfb, 0xf3, 0xff, 0xff, 0xf7, 0xff, 0xff, 
	0xbe, 0x99, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xfb, 0x7d, 0xdf, 0xef, 0xff, 0xfd, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x66, 0xef, 
	0xcf, 0x3f, 0xff, 0xfc, 0xf3, 0xcf, 0x3f, 0xf7, 
	0xdd, 0xef, 0x9e, 0xfb, 0xfe, 0xf9, 0xef, 0x9f, 
	0x7e, 0xfe, 0x9f, 0xf9, 0xff, 0xf7, 0xdf, 0x7f, 
	0xff, 0xfd, 0xf7, 0x9f, 0xff, 0xcf, 0xff, 0xef, 
	0xdf, 0x6d, 0xfe, 0xfd, 0xe7, 0xbf, 0xf7, 0x6f, 
	0xfe, 0xff, 0xfe, 0xfb, 0xef, 0xbf, 0xf7, 0xee, 
	0xfb, 0xaf, 0xff, 0xe7, 0xf5, 0xff, 0xdf, 0xfb, 
	0x7f, 0xbd, 0xf7, 0xff, 0x9b, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x7f, 0xdf, 0xfb, 
	0xff, 0xfb, 0xfd, 0xb7, 0xdf, 0x7f, 0xff, 0xff, 
	0xff, 0xa6, 0xff, 0xef, 0xbf, 0xff, 0xfa, 0xfb, 
	0xef, 0xbd, 0xff, 0xdf, 0xf7, 0xdf, 0x7f, 0xff, 
	0xfd, 0x76, 0xd3, 0x7f, 0xed, 0xbf, 0xf9, 0xff, 
	0xfc, 0xf3, 0xcf, 0x3f, 0xf7, 0xfc, 0xf3, 0xcf, 
	0x7f, 0xfe, 0xf9, 0xe7, 0x9f, 0x7f, 0xfe, 0xfb, 
	0x67, 0xff, 0x6f, 0xfe, 0xbf, 0xff, 0xfe, 0xfb, 
	0xef, 0xbf, 0xff, 0xfe, 0xfb, 0x53, 0x7f, 0xff, 
	0x74, 0xf7, 0x5e, 0x6f, 0xdf, 0xfd, 0xff, 0x9b, 
	0xff, 0x9f, 0x7e, 0xfa, 0xe9, 0xa7, 0x9f, 0x7e, 
	0xfa, 0xfd, 0xef, 0x3f, 0xfd, 0xfe, 0xd3, 0xef, 
	0x3f, 0xfd, 0xf4, 0xff, 0xe6, 0xff, 0xf7, 0xdf, 
	0x7f, 0xff, 0xfd, 0xf7, 0xdf, 0x7f, 0xfd, 0xfb, 
	0xef, 0xbf, 0xff, 0xbe, 0xfb, 0xee, 0xbe, 0xff, 
	0xbf, 0xf9, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xff, 
	0xdf, 0x7f, 0xff, 0xff, 0xff, 0xdf, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x6f, 0xfe, 0x7f, 
	0xff, 0xfd, 0xf7, 0xdf, 0x7b, 0xff, 0xfd, 0xf6, 
	0xbf, 0xff, 0xfe, 0xfb, 0xef, 0xbf, 0xef, 0x7f, 
	0xfb, 0xff, 0x9b, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0x5f, 0x7f, 0xff, 0xeb, 0xef, 
	0xf7, 0xfe, 0xfb, 0xbf, 0xff, 0xff, 0xff, 0xe6, 
	0xff, 0xdf, 0x7f, 0xff, 0xfd, 0xf7, 0xdf, 0x7f, 
	0xff, 0xfd, 0xef, 0xbf, 0xff, 0xbe, 0xfb, 0xef, 
	0xbf, 0xff, 0xfe, 0xbf, 0xb9, 0xff, 0x37, 0xdf, 
	0x7e, 0xf3, 0xed, 0xb7, 0xdd, 0x7e, 0xeb, 0xdb, 
	0x6f, 0xbf, 0xfd, 0xf6, 0xdb, 0x6b, 0xbf, 0xe9, 
	0x6f, 0xfe, 0xff, 0xf5, 0xdf, 0x7f, 0xff, 0xed, 
	0xf5, 0xdf, 0x7f, 0xef, 0xfb, 0xef, 0xbf, 0xef, 
	0xfe, 0xfb, 0xef, 0xbf, 0xff, 0x9b, 0xff, 0x7f, 
	0xff, 0xfd, 0xf7, 0xdf, 0x7f, 0xff, 0xfd, 0xf7, 
	0xbf, 0xff, 0xfe, 0xfb, 0xe9, 0xbf, 0xff, 0xfe, 
	0xfb, 0xef, 0xe6, 0xff, 0xbf, 0xff, 0xfe, 0xfb, 
	0xef, 0xbf, 0xff, 0xfe, 0xfb, 0xdf, 0x7f, 0xff, 
	0xfd, 0xf7, 0xdb, 0x7f, 0xff, 0xfd, 0xbf, 0xf9, 
	0xff, 0x2f, 0xbf, 0xfe, 0xf2, 0xab, 0xaf, 0xbf, 
	0xfe, 0xfe, 0xf7, 0x5f, 0x7f, 0xff, 0xf5, 0xf7, 
	0x5f, 0x7f, 0xf9, 0x6f, 0xfe, 0xff, 0xf9, 0xef, 
	0xbf, 0xff, 0xfe, 0xf9, 0xef, 0xbf, 0xfb, 0xdd, 
	0xf7, 0xdf, 0x7f, 0xdf, 0xfd, 0xf7, 0xdf, 0xff, 
	0x9b, 0xff, 0xff, 0xfc, 0xf3, 0xcf, 0x3f, 0xff, 
	0xfc, 0xf3, 0xcf, 0x79, 0xee, 0xf9, 0xe7, 0x9f, 
	0x7f, 0xfe, 0xf9, 0xe7, 0xf7, 0xe6, 0xff, 0x5f, 
	0x7f, 0xfd, 0xf5, 0xd7, 0x5f, 0x7f, 0xfd, 0xf5, 
	0xaf, 0xbf, 0xfe, 0xfa, 0xeb, 0xad, 0xbf, 0xfe, 
	0xfa, 0xbf, 0xf9, 0xff, 0x1b, 0x7f, 0xfd, 0xf1, 
	0xd7, 0x5b, 0x7f, 0xfd, 0xe5, 0x2f, 0xbf, 0xfe, 
	0xfa, 0xeb, 0xae, 0xbf, 0xfe, 0xf8, 0x6f, 0xee, 
	0xff, 0xfe, 0xfb, 0xef, 0xbf, 0xff, 0xf6, 0xfb, 
	0x2f, 0x77, 0xbf, 0xf5, 0xf7, 0xdf, 0x5f, 0xfd, 
	0xfd, 0xd7, 0xff, 0x9b, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 
	0xfd, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xf7, 0xff, 
	0xe6, 0xfe, 0xfb, 0xef, 0xbf, 0xff, 0xfe, 0x7b, 
	0xee, 0xbf, 0xf5, 0x6d, 0xf7, 0xdf, 0x76, 0xff, 
	0x7d, 0xf7, 0xdf, 0xff, 0xbf, 0xf9, 0xbf, 0xfd, 
	0xf5, 0xd7, 0x5f, 0x7f, 0xbd, 0xf5, 0x37, 0xdf, 
	0xd9, 0xfa, 0x9b, 0xa9, 0xbf, 0x9f, 0xfa, 0xeb, 
	0xef, 0x6f, 0xfe, 0xff
};


/* rom names */

#define EPPAFSK_ROM_DIVROM0              0
#define EPPAFSK_ROM_DIVROM1              16
#define EPPAFSK_ROM_DIVROM2              32
#define EPPAFSK_ROM_SWROMIE              48
#define EPPAFSK_ROM_SWROMOE              64
#define EPPAFSK_ROM_CLKSELROM            80
#define EPPAFSK_ROM_PTTMUTEROM           96


/* rom locations */
static const unsigned long eppafsk_roms[112] = {
	 37019,  36851,  37683,  37515,  37351,  37183,  38015,  37847,
	 36853,  37017,  37517,  37681,  37185,  37349,  37849,  38013,
	 25027,  24859,  25691,  25523,  25359,  25191,  26023,  25855,
	 24861,  25025,  25525,  25689,  25193,  25357,  25857,  26021,
	 58069,  58235,  58237,  58071,  57405,  57571,  57573,  57407,
	 57737,  57903,  57905,  57739,  57073,  57239,  57241,  57075,
	 31033,  30865,  31365,  31197,  31697,  31529,  32029,  31861,
	 30867,  31031,  31199,  31363,  31531,  31695,  31863,  32027,
	 25057,  24889,  25721,  25553,  25389,  25221,  26053,  25885,
	 24891,  25055,  25555,  25719,  25223,  25387,  25887,  26051,
	 15990,  15326,  16156,  15492,  16158,  15494,  15992,  15328,
	 15658,  14994,  15824,  15160,  15826,  15162,  15660,  14996,
	 31013,  30845,  31345,  31177,  31677,  31509,  32009,  31841,
	 30847,  31011,  31179,  31343,  31511,  31675,  31843,  32007
};

